+++
tags = ["android", "emulator", "adb"]
zusammenfassung = "Android Emulator von Google"
title = "Emulator"
date = "2022-10-06T13:44:05+02:00"
type = "article"
+++

__Hinweis:__ Die Arbeit mit dem Kommandozeilentool erfodert vorab die Option `USB-Debugging` in den [Entwickleroptionen][entwickleroption] einzuschalten.

## Android Debug Bridge (adb)

`adb` ist ein Kommandozeilentool und dient der Kommunikation mit einem Gerät. Es umfasst die drei Komponenten: Client, Daemon und Server.
Der Server verwaltet die Kommunikation zwischen dem Client und dem Daemon. Der Daemon (adbd) wird auf dem Gerät ausgeführt und empfängt Befehle vom Client.
Der Client ist das Entwicklungsgerät (PC) von dem aus Befehle gesendet werden. 
Google bietet das Tool als eigenständiges (standalone) Programm zum [Download.][adb-download]



{{<code lang="cfs">}}
 ./platform-tools/adb --version

 Android Debug Bridge version 1.0.41
 Version 33.0.3-8952118
 Installed as ...
{{</code>}}

Weitere Befehle sind:

{{<code lang="fish">}}
 adb --version		# Versionsinfo
 adb --help		# Hilfe anzeigen
 adb start-server	# Server starten
 adb kill-server	# Server beenden
 adb devices [-l]	# Server starten und anzeigen aller gestarteten Emulatoren mit Namen (-l ausführlich)

 adb -s <name> emu kill	# Beendet <name>
 adb install <xx.apk>	# Installiert lokales Packet

 adb shell		# Startet Shell auf Gerät
 adb -s <name> shell	# Startet Shell auf Gerät <name>
  
 adb logcat		# Log-ausgabe
 adb logcat --help	# Log-ausgabe
 adb logcat *:W  *:E	# Log-ausgabe filtern, nur Warnungen und Fehler
{{</code>}}





[adb-download]: 	https://developer.android.com/studio/releases/platform-tools
[entwickleroption]: 	{{< relref "/edv/android/entwickleroption" >}}

