+++
tags = ["dev", "vim", "pattern", "muster", "regular expression"]
zusammenfassung = "The Best Editor ever."
title = "VIM"
submenu = "false"
date = "2020-08-28T10:59:51+02:00"
type = "article"
+++

Eine kurze Befehlsübersicht findest du [hier](https://gist.github.com/mikehaertl/82b801e332221f920316#file-vim-md).

## Vim-Modi

Vim verwendet verschiedene Modi zwischen denen man durch folgende Tasten wechselt.  

* Kommandomodus

{{<mytable class="width50 captleft tableleft small fontcourier noborder vtop nohead">}}
  | | |
  |:---|:--|
  |`[:]`| allgemein bzw. Befehl
  |`[/]`| suchen abwärts ab Cursorposition
  |`[?]`| suchen aufwärts ab Cursorposition
{{</mytable>}}

* Editier- oder Einfügemodus

{{<mytable class="width50 captleft tableleft small fontcourier noborder vtop nohead">}}
  | | |
  |:---|:--|
  |`[i]`| insert 
  |`[a]`| append
  |`[R]`| Replace - Ersetzenmodus
  |`[u]`| Undo - letzte Änderung rückgängig
  |`[Strg]+[r]`| Redo - letzte Änderung wieder herstellen 
{{</mytable>}}

* Visualmodus - Text markieren

{{<mytable class="width50 captleft tableleft small fontcourier noborder vtop nohead">}}
  | | |
  |:---|:--|
  |`[V]`|Zeilenweise
  |`[v]`|Zeichenweise 
  |`[Strg]+[v]`|Blockweise
  |`[v][a][b]` | nächster ()-Block
  |`[v][a][B]` | nächster {}-Block
{{</mytable>}}

## Bedienung des Editors

Die Bedinung des VIM-Editors erfolgt hauptsächlich mit der Tastatur.

#### Navigieren im Kommandomodus

Im Kommandomodus kann der Cursor mit folgenden Tasten positioniert werden.

{{<mytable class="width80 captleft small fontcourier noborder vtop">}}
  | Taste(n) | Cursorsprung zu/nach |
  |:----:|:--|
  |`[g][g]`| oben in die erste Zeile |
  |`[Shift]+[g]` | unten in die letzte Zeile |
  |`[w]` | Wortanfang vorwärts |
  |`[b]` | Wortanfang rückwärts |
  |`[^]` | Zeilenanfang |
  |`[$]` | Zeilenende |
  |`[Strg]+[d]` | halbe Seite nach unten |
  |`[Strg]+[u]` | halbe Seite nach oben |
  |`[3][+]` | 3 Zeilen vorwärts |
  |`[5][+]` | 5 Zeilen vorwärts |
  |`[2][-]` | 2 Zeilen rückwärts |
  |`[Shift]+[k]` | Springt zur Hilfe am Wort |
 {{</mytable>}}

#### Befehle im Kommandomodus (eine Auswahl)

Beispielhaft sind einige Befehle imm Kommandomodus aufgeführt.

{{<mytable class="width80 captleft small fontcourier noborder vtop">}}
  | Befehl | Beschreibung |
  |:----:|:--|
  |`:reg`          | Register und Zwischenpuffer anzeigen |
  |`:di`          | Register und Zwischenpuffer anzeigen |
  |`:pwd`         | aktuelles Verzeichnis |
  |`:f`         | aktuellen Dateinamen anzeigen |
{{</mytable>}}


#### Statusinformationen ausgeben

{{<mytable class="width80 captleft small fontcourier noborder vtop">}}
  | Taste(n)/Befehl | Information |
  |:----:|:--|
  |`[Strg]+[g]`   | vollen Pfad der Datei anzeigen |
  |`[g][a]`       | Detailinformation des Zeichens an der Cursorposition |
  |`[g][Strg]+[g]`| Dateilinformation der Zeile an der Cursorposition |
{{</mytable>}}

## Optionen setzten mit dem Befehl - set

Optionen werden im Kommandomodus `[:]` gesetzt.

```batchfile {linenos=false}
 :set list                  " aktiviert eine Option
 :set nolist                " deaktiviert eine Option
 :set list?                 " Abfragen der Option
 :set all                   " Anzeigen aller Optionen
```

Beispieleinstellungen über die Funktion `set`. Diese können auch direkt in `.vimrc` gespeichert werden.
```batchfile {linenos=false}
 syntax on
 set nocompatible               " Verhalten für Cursortasten (Pfeiltasten) einstellen
 set backspace=2                " Verhalten für Rücktaste und Entfernungstaste einstellen
 set backspace=indent,eol,start " wie oben
 set lines=40 columns=180       " Startgröße für Fenster, insbesondere Gvim
 set lbr                        " Zeilenumbruch nach vollständigem Wort
 set wrap                       " lange Zeilen umbrechen (ggf. über mehrere Zeilen)
 set cursorline                 " Cursorzeile hervorheben
 set hlsearch                   " Suchbegriff hervorheben
 set number                     " Zeilennummerierung einschalten
 set incsearch                  " Markiert sofort das Suchwort
 set tabstop=4                  " Breite eines Tabulatorstops
 set expandtab                  " Setzt Leerzeichen anstelle des Tabulatorzeichens
 retab                          " In Verbindung mit expandtab werden vorhanden Tabulatorzeichen in Leerzeichen umgewandelt
 set list                       " anzeigen von Tabulator (^I) und Zeilenende ($) im Text
 set nolist                     " deaktiviert das Anzeigen von Tabulatoren und Zeilenende im Text
 set ruler                      " Cursorposition in Statuszeile anzeigen 
```

Zum deaktivieren wird einfach das Prefix `no` vorangesetzt.
```batchfile {linenos=false}
 set nohlsearch               " Suchbegriff-Highlight deaktivieren
 set nonumber                 " Zeilennummerierung abschalten
 set noexpandtab              " Setzt Tabulatorzeichen anstelle der Leerzeichen
```

## Suchen und ersetzen

Die Such- und Ersetzungsfunktion erfolgt im Kommandomodus `[:]`. Dabei können [reguläre Ausdrücke][RegularExpressions] verwendet werden. 

```bash {linenos=false}

 :1,$s/  \+/ /gc	//Suchen nach doppelten Leerzeichen von der 1 Zeile bis zur letzten ($) und ersetze mit einem Leerzeichen.
 :1,$s/$/;/gc		//fügt vor dem Zeilenende ($) ein Semikolon ein
 :1,$s/ab/a\rb/gc	//Zeilenumbruch (\r) einfügen zwischen a und b
 :5,9s/a\c/XX/gc	//Suchen zwischen den Zeilen 5 und 9 nach Buchstaben a oder A (Option \c) und ersetze in XX.
 :s/[a-z]/\U&\e/gc		//wandelt Klein- in Großbuchstaben
 :s/\([a-z]\+\)/\U&\e/gc	//Ganze Wörter in Großbuchstaben umwandeln
   
```

Und hier mal der [Link](https://www-user.tu-chemnitz.de/~hot/VIM/VIM/regexp.html) zu spektakulären und umfangreichen regulären Ausdrücken in VIM.


### Suchmuster gruppieren

Die Zeichen `\(  \)` gruppieren ein Suchmuster. Die Gruppe wird im Ersetzungsteil als `\1` bzw. bei mehreren Gruppen als fortlaufende Nummer referenziert. 

```bash {linenos=false}

 # Sucht alle zweistelligen Zahlen und fügt die Zeichen zzz davor und dahinter
 :1,$s/\([0-9][0-9]\)/zzz\1zzz/gc

 Beispiel:
	33 ->  zzz33zzz			
	45 ->  zzz45zzz			

 # Syntax mit 2 Gruppen, Beispiel Uhrzeitangaben
 :1,$s/\([0-9][0-9]\)\:\([0-9][0-9]\)/zzz\1\:\2zzz/gc
 
 Beispiel:
	15:03 ->  zzz15:03zzz			
	20:40 ->  zzz20:40zzz			

 # Beispiel Datum in einer Gruppe
 :1,$s/\([0-9][0-9]\.[0-9][0-9]\.2023\)/oo\1\oo/gc
 
 Beispiel:
	01.03.2023 -> oo01.03.2023oo
	27.12.2023 -> oo27.12.2023oo
   
```


## Andere Syntaxdateien verwenden

Speichere deine Syntaxdatei z.B. `markdown2.vim` im Verzeichnis: `C:\users\<name>\vimfiles\syntax` und setze den Namen der Syntaxdatei im Befehlsmodus von VIM.

```nasm {linenos=false}
 set syn=markdown2
 set syn
```

## Zeichensatz - Formatierung und Kodierung

Zeichensatzformatierung und -kodierung sind immer ein heikles Thema in Textdateien, auf einer Terminalkonsole oder im Betriebssystem. VIM unterstützt eine ganze Reihe von [Zeichenkodierungen][]. Die wichtigsten sind: `utf-8` und `latin1`

```batchfile {linenos=false}

 " Zeichensatzkodierung in VIM
 set encoding=utf-8         " Zeichensatzkodierung auf utf-8
 set encoding=latin1        " Zeichensatzkodierung auf latin1 entspricht ANSI

 " Zeichensatzkodierung der geöffneten Datei
 set fileencoding           " zeigt die aktuelle Dateikodierung an

 " Zeichensatzformatierung der Datei
 set fileformat             " zeigt die aktuelle Zeichensatzformatierung (dos, unix, mac)
 set fileformat=unix        " Stellt das Zeichensatzformat der Datei auf Unix um, es wird ein <LF> an das Zeilenende gehängt.
 set fileformat=dos         " Stellt das Zeichensatzformat der Datei auf Dos um, es wird ein <CR><LF> an das Zeilenende gehängt.
                            " <LF> = Linefeed (Zeilenvorschub), bewegt den Cursor nach unten. 
                            "        Symbol: [Ctrl-J] oder [^J] oder hex 0A
                            " <CR> = Carriage Return (Wagenrücklauf), bewegt den Cursor auf die linke Ecke. 
                            "        Symbol: [Ctrl-M] oder [^M] oder hex 0D   
   
```

{{<code lang="batchfile" title="Beispieleinstellungen in VIM für ein Linux Bashscript (*.sh) in Windows">}}
 set encoding=utf-8
 set fileencoding=latin1
 set fileformat=unix
{{</code>}}

__Hinweis:__ Um auf der DOS-Kommandokonsole die Zeichensatztabelle anzupassen, siehe [Codepages.][Codepages]


## Umschalten auf Hexadezimal Code

{{<code lang="batchfile">}}
 :%!xxd			- Umschalten auf Hexadezimalcode
 :%!xxd -r		- Zurück auf Text
{{</code>}}
  
{{<mytable class="noborder small smallfont fontcourier tableleft width80">}}
|ASCII | Hexacode | Escape | Beschreibung |
|:--:|:--:|:--:|:--|
|    | 0d  | \\r | CR - Wagenrücklauf (carriage return)  |
|    | 0a  | \\n  | LF - Zeilenvorschub (line feed) |
|    | 09  | \\t  | Horizontaler Tabulator |
| a  | 61  |  | Buchstabe a |
| b  | 62  |  | Buchstabe b |
{{</mytable>}}


## Vimdiff

Mit Vimdiff werden Unterschiede zweier Dateien angezeigt.

{{<code lang="nasm">}}
 vim    -d datei.1 datei.2
 vimdiff   datei.1 datei.2
{{</code>}}

Ist der Editor bereits mit einer Datei geöffnet, dann kann mit folgendem Kommando eine zweite Datei hinzugezogen werden.

{{<code lang="batchfile">}}
 :vertical diffsplit datei.2
{{</code>}}

Zum navigieren zwischen den Änderungen werden folgende Tastenkombinationen verwendet.

{{<mytable class="width50 nohead noborder small smallfont fontcourier tableleft vtop">}}
| | |
|:--|:--|
|`]c` | Springt nach unten zur nächsten Änderung. Wobei mit der Tastenkombination `[Alt GR] + [9]`  die schließende Klammer erreicht wird. |
|`[c` | Springt nach oben zur vorhergehenden Änderung. Wobei mit der Tastenkombination `[Alt GR] + [8]`  die öffnende Klammer erreicht wird. |
{{</mytable>}}

Um das umständliche Agieren mit der Tastatur zu vereinfachen, wird die Tastenkombination in den Funktionstasten `F5` und `F6` verlegt. 
Entweder während des Betriebs im Kommandomodus ... 

{{<code lang="nasm">}}
 :map <F5> ]c
 :map <F6> [c
{{</code>}}

... oder als Eintrag in `~/.vimrc`

{{<code lang="nasm">}}
 map <F5> ]c
 map <F6> [c
{{</code>}}


[Zeichenkodierungen]: 	http://vimdoc.sourceforge.net/htmldoc/mbyte.html#encoding-values
[RegularExpressions]: 	https://github.com/google/re2/wiki/Syntax
[Codepages]:	 	{{< relref "/edv/windows/codepage" >}}
