+++
tags = ["dev", "git", "sha", "Prüfsumme"]
zusammenfassung = "Quellcode auf einem zentralen Git-Server."
title = "Git Remote"
submenu = "false"
date = "2021-01-18T09:07:24+01:00"
type = "article"
+++

## Git Server
Git-Server sind z.B.
>[GitLab][]   
[Bitbucket][]   
[Gitee][]   
[Github][] [<small>&#8599; Heise Artikel: GitHub und ObenSource</small>][Github Streit]  
[SourceForge][] [<small>&#8599; Heise Artikel: SourceForge Streit</small>][SourceForge Streit]   

## Github
[Github][] wird von Microsoft betrieben. Um ein Repository anzulegen und auf Github zu laden mache folgendes.

{{<code lang="fish" title="create a new repository on the command line">}}
 # Gehe in dein Quellcodeverzeichnis
 echo "# Name" >> README.md
 git init
 git add README.md
 git commit -m "first commit"
 git branch -M Branchname
 git remote add origin https://github.com/kargus/name.git
 git push -u origin Branchname

{{</code>}}
 
{{<code lang="fish" title="or push an existing repository from the command line">}}
 git remote add origin https://github.com/kargus/name.git
 git branch -M main
 git push -u origin main

{{</code>}}

## Download mit Proxy

Um eine Quellcode mit Hilfe von Git herunter zu laden verwende:

 
```fish {linenos=false}

 git clone http://www.xxxxxxxx
   
```

Gelegentlich kann das jedoch durch eine Firewall oder sonstige Unstände gesperrt sein. Mit [git config][] kann ein Proxy eingestellt werden.


```fish {linenos=false}

 # Globale Variable in ~/.gitconfig einstellen
 git config --global http.proxy   <proxy.url:port>
 git config --global https.proxy  <proxy.url:port>
   
```



## Quellcode und Prüfwert (sha256, etc.)

Auf Github werden mehrheitlich auch Prüfwerte, Prüfsumme oder auch Hashwerte (sha256, etc.) zu Quellcode oder Binaris angeboten.
Die Bildfolge zeigt am Beispiel des Passwortmanager [KeeWeb] wie man die Prüfsummen im [Quellcode auf Github](https://github.com/keeweb/keeweb) findet.

![](/images/github-pruefsumme-01.jpg#border)

![](/images/github-pruefsumme-02.jpg#border)

[Github]:	 		https://github.com
[SourceForge]:	 	https://sourceforge.net
[GitLab]:			https://gitlab.com/
[Bitbucket]:		https://bitbucket.org
[Gitee]:			https://gitee.com/
[KeeWeb]:			https://keeweb.info
[Github Streit]:	https://www.heise.de/news/Streit-zwischen-Open-Source-Community-und-GitHub-eskaliert-7160074.html
[SourceForge Streit]: https://www.heise.de/newsticker/meldung/Nach-GIMP-Streit-um-Adware-SourceForge-rudert-zurueck-2677897.html
[git config]: {{< relref "git-befehle#31-git-config" >}}
