+++
tags = ["dev", "gohugo", "debug", "validator"]
zusammenfassung = "Mit Hilfe externer Script's Debuginformationen einbinden."
title = "Debug in Gohugo"
submenu = "false"
date = "2021-01-12T09:34:44+01:00"
type = "article"
+++

## Externes Debug-Script einbinden
In der Datei `./layouts/partials/header.html` wird folgender externer Scriptcode eingebunden.

{{<code lang="go-html-template" title="./layouts/partials/header.html">}}
 <!-- Abfrage des Parameter .Site.Params.debug aus der Datei config.toml -->
 {{- if .Site.Params.debug -}}
	<script src="https://cdn.jsdelivr.net/npm/eruda@1.2.6/eruda.min.js" integrity="sha256-Jmz4bc3kp+rRrXX2tGadNBKFLwtzMapr8kHABxSAAP8=" crossorigin="anonymous"></script>
	<script>eruda.init();</script>
 {{- end -}}
{{</code>}}

In der Konfigurationsdatei `config.toml` wird der Parameter definiert.

{{<code lang="toml" title="config.toml">}}
 [params]
	debug = true   # Debugger einschalten
	debug = false  # Debugger ausschalten
{{</code>}}

## Html-Validator
Ein Validator ist ein Programm, welches die formale Gültigkeit eines Dokumentes überprüft.
* [validator.w3.org]
* [html5.validator.nu]






[validator.w3.org]: https://validator.w3.org/
[html5.validator.nu]: https://html5.validator.nu/


