+++
tags = ["dev", "gohugo", "diagramme", "graph", "mermaid"]
zusammenfassung = "Diagramme und Graphen in Markdown."
title = "Diagramme"
date = "2022-05-03T17:29:10+02:00"
type = "article"
mermaid = "true"
+++


## Einfach Ascii Diagramme mit `goat`

Mit dem Syntaxhighlight <abbr title="Go Ascii Tool">goat</abbr> lassen sich durch einfache Ascii-Textzeichen simple Diagramme erstellen.


{{<code lang="bash" title="Beispiel Verzeichnisstruktur">}}
 ```goat
 Linux
  ├──Android
  └──Debian
     └──Ubuntu
        ├──Lubuntu
        └──Kubuntu     
 ```
{{</code>}}

{{<expand title="So sieht's dann aus." >}}

```goat
Linux
 ├──Android
 └──Debian
     └──Ubuntu
         ├──Lubuntu
         └──Kubuntu     
```
{{</ expand >}}

Weitere Beispiele sind [hier][goat]


## Mermaid

Mit [Mermaid][] erhält man viel bessere und umfangreichere Diagramme und Graphen.



{{<mermaid>}}
graph LR;
    A[Hard edge] -->|Link text| B(Round edge)
    B --> C{Decision}
    C -->|One| D[Result one]
    C -->|Two| E[Result two]
{{</mermaid>}}


{{<mermaid scalebox="90 left">}}
%%{init: 	{	'theme': 'forest', 
				'loglevel': 'fatal', 
				'gitGraph': {	
								'rotateCommitLabel': true,
								'showBranches': true, 
								'showCommitLabel': true,
								'mainBranchName': 'mab',
								'mainBranchOrder': 2
							}
			}
}%%
gitGraph
       commit
       branch dev
       commit
       commit
       checkout mab
       commit
       commit
       merge dev
       commit
       commit

{{</mermaid>}}


[goat]:				https://github.com/bep/goat
[Mermaid]:			https://mermaid-js.github.io
