+++
tags = ["dev", "gohugo", "markdown"]
zusammenfassung ="Erweiterungen in der Goldmarkbibliothek aktivieren. Z.B. Fussnoten, Textgestaltung (hoch-, tiefgestellt)"
submenu = "false"
title = "Goldmark.extensions"
date = "2020-12-14"
type = "article"
+++



Details findest du in [Gohugo Goldmark.][goldmark]

## Fu&szlig;noten
Um Fu&szlig;noten zu nutzen, mu&szlig; folgende Einstellung in der Datei `config.toml` vorgenommen werden.

{{<code lang="toml" title="config.toml">}}
 [markup]
	defaultMarkdownHandler = "goldmark" 
	[markup.goldmark]
		[markup.goldmark.extensions]
			footnote	= true
{{</code>}}

Fußnoten[^1] werden im Markdowntext in eckigen Klammern, einem sog. Caretzeichen[^3] und einer Zahl erzeugt.
Im Fußraum am Ende der Markdowndatei[^2] werden die Fußnoten automatisch sortiert. 
Deshalb ist die Reihenfolge der verwendeten Zahl unwichtig. Nur die Zuordnung der Anmerkungszahl im Text und der Fußnotenzahl im Fußraum sind wichtig und müssen identisch sein.

```APL {linenos=false}

  Text Text Text [^3]
  Text Text Text
  Text Text Text
  Text Text[^2] Text Text 
  Beispiel Literaturangabe[^4]

  [^3]: Fussnote werden automatisch sortiert
  [^2]: Fussnote werden automatisch sortiert
  [^4]: Kleiber: Verkehrswertermittlung von Grundstuecken, 9. Auflage 2020, S. 3091, Teil: VIII, RgNr. 412 
   
```

### Flie&szlig;text mit Fu&szlig;noten

Textzeilen mit hoch- oder tiefgestellten Buchstaben/Text fallen aufgrund ihrer unterschiedlichen Zeilenhöhe aus dem Rahmen des gesamten Textflusses.
Um den Fließtext anzupassen nimm CSS für die HTML-Elemente `<sup>` und `<sub>`.

```css {linenos=false}

 /* Text hochgestelt */
 sup,sub {
	position: relative;
	vertical-align: baseline;
	top: -0.4em;	
 }

 /* Text tiefgestelt */
 sub {
	top: 0.4em;	
 }
   
``` 



## Text Hoch bzw. Tief gestellt

{{<code lang="toml" title="config.toml">}}
      [markup.goldmark.extensions.extras]
        [markup.goldmark.extensions.extras.subscript]
          enable = true
        [markup.goldmark.extensions.extras.superscript]
          enable = true
{{</code>}}
   

```APL {linenos=false}

Beispieltext mit 
tiefgestellter Zahl H~2~O 
hochgestelltem Text 5^St^
markierter ==Text== 
   
```

__Ergebnis:__   
Beispieltext mit   
tiefgestellter Zahl H~2~O   
hochgestelltem Text 5^St^  
markierter ==Text== 

[^1]: Fu&szlig;note Nr. 1
[^3]: [Caretzeichen][]: Zirkumflex, Dach, Hut
[^2]: Fu&szlig;note Nr. 2 am Ende der Datei

[Caretzeichen]:			https://de.wikipedia.org/wiki/Zirkumflex
[goldmark]:			https://gohugo.io/getting-started/configuration-markup/#goldmark
