+++
tags = ["dev", "gohugo", "markdown"]
zusammenfassung = "Hinweise zur Einrichtung eines Menu's in gohugo."
title = "Menu's in gohugo"
submenu = "false"
date = "2020-12-09T16:51:01+01:00"
type = "article"
+++

## Menu's in der Konfigurationsdatei `config.toml`
Das Menu wird in der Konfigurationsdatei `config.toml` eingerichtet.

{{<code lang="toml" title="config.toml">}}
 [[menu.main]]			# ein Hauptmenu (1. Ebene)
	weight = 10
	name = "dev"		# Anzeigename
	url = "/dev"		# url=Verzeichnisname unterhalb von ./content
	hasChildren = true	# es gibt Unterverzeichnisse

	[[menu.main]]		# erstes Untermenu (2. Ebene)
	weight = 10
	parent = "dev"		# Elternteil des Untermenus
	url = "/dev/git"	# Verzeichnis des Untermenus
	name = "Git"		# Name des Untermenus

	[[menu.main]]		# zweites Untermenu (2. Ebene)
	weight = 102
	parent = "dev"
	url = "/dev/html/html-links"
	name = "Html"

	[[menu.main]]		# drittes Untermenu (2. Ebene)
	weight = 100
	parent = "dev"
	url = "/dev/gohugo"
	name = "Gohugo"
	pre = "submenu"		# das Untermenu hat nochmals ein Untermenu (3. Ebene)
{{</code>}}



## Der Parameter `url`

Der Parameter `url` kann auf ein Verzeichnis `/dev/gohugo` oder direkt auf eine Datei `/dev/gohugo/erstedatei` zeigen. Wird auf ein Verzeichnis verwiesen, dann werden alle Dateien `(*.md)` unterhalb des Verzeichnisses bei einem klick auf den Menupunkt mit Hilfe der Datei `\layouts\_default\list.html` aufgeführt. Zeigt der Parameter direkt auf eine Datei, dann wird nur diese Datei aufgeführt. 

{{<code lang="toml" title="Angaben von Verzeichnis oder Direktdatei">}}
 url = "/dev/gohugo"		# alles unterhalb des Verzeichnisses 
 url = "/dev/gohugo/dateiname" 	# nur Einzeldatei 
{{</code>}}


## Der Parameter `weight` (Gewicht)
Legt fest, in welcher Reihenfolge ein Menupunkt angezeigt wird.   

{{<code lang="toml" title="Angaben von Verzeichnis oder Direktdatei">}}
 weight = 10 	# Menupunkt in der Rangfolge oben
 weight = 100 	# Menupunkt in der Rangfolge unten
{{</code>}}


## Der Parameter `pre` (Submenu)
Um in einem Untermenü nochmals ein Untermenü zu erstellen, wird der Parameter `pre` in der Datei `.\layouts\partials\header.html` abgefragt und die Datei `.\layouts\partials\submenu.html` aufgerufen.

## Dein Menu

{{<result type=".Site.Menus">}}

 
