+++
tags = ["dev", "gohugo", "shortcode"]
zusammenfassung = "Dateien mit Shortcode integrieren."
title = "Include Shortcode"
submenu = "false"
date = "2021-08-25T19:18:32+02:00"
type = "article"
+++

## Quelle

Gefunden als Theme [Geekdoc](https://geekdocs.de/shortcodes/includes/) auf [Gohugo Theme.](https://themes.gohugo.io/themes/hugo-geekdoc/)

## Anwendung in Markdown

```html {linenos=false}

 {{</*include file="relative/path/from/hugo/root" type=optional */>}}

```

## Optionen für Include-Shortcode

{{<mytable class="width80 greyhead small smallfont fontcourier striped">}}
| Option   | Usage                                                                                                                               |
| -------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| file     | Path to the included file relative to the Hugo root.                                                                                |
| type     | Special include type (`html, txt`).                                                                                           |
{{</mytable>}}

## Examples

### Markdown file (default)

Einfache Markdowndateien mit `{{</*include*/>}}` einfügen.

```html {linenos=false}

 {{</*include file="/static/_includes/example.md.part"*/>}}

```

__Ergebnis:__

> {{<include file="/static/include_files/example.md.part">}}



### HTML files

HTML content will be filtered by the `safeHTML` filter and added to the rendered page output.

```html {linenos=false}

 {{</*include file="/static/include_files/example.html.part" type="html"*/>}}

```

__Ergebnis:__

> {{<include file="/static/include_files/example.html.part" type="html">}}


### Simple Textfile

```html {linenos=false}

 {{</*include file="/static/include_files/table.csv" type="txt"*/>}}

```

__Ergebnis:__

> {{<include file="/static/include_files/table.csv" type="txt">}}



