+++
tags = ["dev", "gohugo", "markdown", "Sonderzeichen", "Unicode"]
zusammenfassung ="Sonderzeichen in Html, Markdown und CSS - Unicode"
submenu = "false"
title = "Sonderzeichen - Unicode -"
date = "2020-10-20"
type = "article"
+++


## Unicode-Zeichen in HTML

Kurzübersicht zu Html [Unicode][] Entitäten.

{{<mytable class="width80 greyhead small fontcourier smallfont striped">}}
| Html | | Beschreibung
|----:|:--:|:----|
|``&shy;``| &shy; | Manuelle Silbentrennung - [Wortumbruch]({{< relref "markdown-mit-hugo/#textumbruch" >}}) |
|``&zwj;``|&zwj;| Zero Width Joiner verhindert auseinanderrei&szlig;en von Wörtern |
|``&nbsp;``| &nbsp; |Geschütztes Leerzeichen (Dauerleerzeichen), verhindert auch Zeilenumbruch  |
|``&szlig;``|&szlig;| Eszett |
|``&#x60;``|&#x60;| Backtick, Gravis, Grave Accent (engl.) |
|``&#x2F;``|&#x2F;| Schr&auml;gstrich, Slash |
|``&#xFF0F;``|&#xFF0F;| vollbreiter chr&auml;gstrich |
|``&#8260;``|&#8260;| Bruchstrich |
|``&#8725;``|&#8725;| Divisionsstrich |
|``&#8962;``|&#8962; | Haus |
|``&telrec;``|&telrec; | Suchluppe |
|``&ii;``|&ii; | Informations-i |
|``&deg;``|&deg; | Grad-Zeichen |
|``&boxbox;``|&boxbox; | Doppelbox |
|``&#35;``|&#35; | Doppelkreuz, Rautezeichen, Raute, Hash |
|``&commat;``|&commat; |At-Zeichen|
|``&#95;``| &#95; | Unterstrich, insbesondere für Links (z.B. www.ha&#95;hu.de) in deinen Markdowndateien |
|``&mdash;``| &mdash; | [Geviertstrich](https://de.wikipedia.org/wiki/Geviert_(Typografie)) |
|``&ndash;``| &ndash; | Halbgreviert (Gedankenstrich, Bindestrich mit der Breite eines Buchstaben n) |
|``&minus;``| &minus; | Minuszeichen |
|``&plus;``| &plus; |Math. Addition |
|``&divide;``| &divide; |Math. Division |
|``&times;``| &times; |Math. Multiplikation |
|``&PlusMinus;``| &PlusMinus; |Plus Minus |
|``&#10799;``| &#10799; |Vektor- oder Kreuzprodukt |
|``&PlusMinus;``| &PlusMinus; |Plus Minus |
|``&wedqep;``| &wedgeq; |Math. Entspricht |
|``&hellip;``| &hellip; | Auslassungspunkte unten |
|``&#8943;``|&#8943; | Auslassungspunkte mittig |
|``&para;``| &para; | Absatzzeichen |
|``&middot;``| &middot; | Mittelpunkt |
|``&bull;``| &bull; | Aufzählungspunkt |
|``&#42;``|&#42; |Asterisk, Sternchen  |
|``&#65290;``|&#65290; |Vollbreites Sternchen |
|``&#1234;``|&#1234; |Großbuchstabe Ä|
|``&#992;``| &#992; |  |
|``&lsaquo;``| &lsaquo; |Anführungszeichen (Guillements) |
|``&rsaquo;``| &rsaquo; |Anführungszeichen (Guillements) |
|``&laquo;``| &laquo; |Anführungszeichen (Guillements) |
|``&raquo;``| &raquo; |Anführungszeichen (Guillements) |
|``&#8599;``| &#8599; |Pfeil nach Nordosten |
|``&#8594;``| &#8594; |Pfeil nach Rechts |
|``&#8658;``| &#8658; |Pfeil nach Rechts mit Doppelstrich |
|``&#x21a9;``| &#x21a9; | Pfeil nach Links mit Haken |
|``&#9650;``| &#9650; |  |
|``&#9655;``| &#9655; |Weißes nach rechts zeigendes Dreieck|
|``&#9660;``| &#9660; |  |
|``&#9661;``| &#9661; |  |
|``&#9662;``| &#9662; |Schwarzes nach unten zeigendes kleines Dreieck  |
|``&#9663;``| &#9663; |Weißes nach unten zeigendes kleines Dreieck  |
|``&#9664;``| &#9664; |Schwarzes nach links zeigendes Dreieck  |
|``&#9665;``| &#9665; |Weißes nach links zeigendes Dreieck  |
|``&#9731;``| &#9731; |Schneemann  |
|``&#9742;``| &#9742; |Telefon  |
|``&#9990;``| &#9990; |Telefon  |
|``&#9993;``| &#9993; |Brief / E-Mail  |
|``&#9998;``| &#9998; |Stift |
|``&#9744;``| &#9744; |Quadrat leer  |
|``&#9745;``| &#9745; |Quadrat mit Häkchen  |
|``&#9746;``| &#9746; |Quadrat mit Kreuz  |
|``&#9724;``|&#9724; | Quadrat ausgefüllt |
|``&#9776;``| &#9776; |Trigramm für Himmel |
|``&#9807;``| &#9807; |Skorpion |
|``&#9816;``| &#9816; |Springer |
|``&#9898;``| &#9898; |Mittelgroßer weißer Kreis |
|``&#42604;``| &#42604; | Augen  |
|``&#42605;``| &#42605; | Augen  |
|``&#0;``| &#0; |  |
|``&#167;``| &#167; |Paragraphenzeichen |
|``&#8364;``| &#8364; |Währungssymbol Euro |
|``&amp;``| &amp; |Et-Zeichen (lat. et = dt. und) |
|``&copy;``| &copy; |  |
|``&AElig;``| &AElig; |  |
|``&Dcaron;``| &Dcaron; |  |
|``&frac14;``| &frac14; |  |
|``&frac12;``| &frac12; |  |
|``&frac34;``| &frac34; |  |
|``&frac56;``| &frac56; |  |
|``&frac78;``| &frac78; |  |
|``&#8312;``| &#8312; | Acht Hochgestellt  |
|``&#8328;``| &#8328; | Acht Tiefgestellt  |
|``&#178;``| &#178; | Zwei Hochgestellt  |
|``&#8322;``| &#8322; | Zwei Tiefgestellt  |
|``&#42609;``| &#42609; | Kombinierendes kyrillisches Hundertmillionenzeichen  |
|``&ngE;``| &ngE; |  |
|``&#X22;``| &#X22; |  |
|``&#XD06;``| &#XD06; |  |
|``&#xcab;``| &#xcab; |Kannada Letter Pha|
|``&#937;``| &#937; | Omegae - griechischer Großbuchstabe |
|``&#949;``| &#949; | Epsilon - griechischer Kleinbuchstabe |
|``&#955;``| &#955; | Lampda - griechischer Kleinbuchstabe |
|``&#966;``| &#966; | Phi - griechischer Kleinbuchstabe |
|``&#934;``| &#934; | Phi - griechischer Großbuchstabe |
|``&#981;``| &#981; | Phi - Symbol |
|``&#948;``| &#948; | Delta - griechischer Kleinbuchstabe |
|``&#916;``| &#916; | Delta - griechischer Großbuchstabe |
|``&#7519;``| &#7519; | Delta - kleines Modifikationszeichen |
|``&#120691;``| &#120691; | Delta - Mathematischer serifenloser fetter Kleinbuchstabe |
{{</mytable>}}
   
Und weitere Html [Unicode] Entitäten. Oder auch [hier](https://seo-summary.de/html-sonderzeichen/)

### Rahmenzeichen in Html


{{<mytable class="width80 greyhead small fontcourier striped">}}
| Html | | Beschreibung
|----:|:--:|:----|
|``&#x250f;``|&#x250f;| dick nach unten und rechts |
|``&#x251c;``|&#x251c;| dünn vertikal und rechts |
|``&#x256c;``|&#x256c;| doppelt vertikal und horizontal |
|``&#x256e;``|&#x256e;| dünner Bogen nach unten und links |
|``&#x2516;``|&#x2516;| dick nach oben und dünn nach rechts |
|``&#x2592;``|&#x2502;| dünn vertikal |
{{</mytable>}}

Weitere [Rahmenzeichen.](https://www.compart.com/de/unicode/search?q=rahmenzeichen#characters)


## Sonderzeichen in CSS

Mit [CSS-Unicode][] können Sonderzeichen in Stylesheets verwendet werden.


```scss

/* z.B. Das Paragraphenzeichen "§" an jeder Überschrift anhängen */

 h2:after {
   content: ' \00A7';
 }

```

## URL Codierung

Beispiele für die Codierung innerhalb von [Uniform Resource Locator][] (sog. url). Die url-Codierung ist teilweise identisch mit den oben genannten HTML- und CSS-Entities. 
Weitere [url Beispiele][].

{{<mytable class="width50 greyhead small fontcourier striped">}}
| url-Code | Sign | Beschreibung
|----:|:--:|:----|
|``%20``|&#x20;| Freizeichen |
|``%23``|&#x23;| Route, Hash |
|``%24``|&#x24;| Dollar |
|``%25``|&#x25;| Prozentzeichen |
|``%26``|&#x26;| AND |
|``%2A``|&#x2A;| Asterisk |
|``%2F``|&#x2F;| Schr&auml;gstrich, Slash |
|``%3F``|&#x3F;| Fragezeichen |
|``%60``|&#x60;| Backtick, Gravis, Grave Accent (engl.) |
|``%A7``|&#xA7;| Paragraph |
|``%AE``|&#xAE;| Copyright |
|``%E4``|&#xE4;| Buchstabe mit Umlaut |
|``%F6``|&#xF6;| Buchstabe mit Umlaut |
|``%FC``|&#xFC;| Buchstabe mit Umlaut |
{{</mytable>}}





[Unicode]:https://www.compart.com/de/unicode/html
[Geviert]:https://de.wikipedia.org/wiki/Geviert_(Typografie)
[CSS-Unicode]:https://www.w3schools.com/cssref/css_entities.asp
[Uniform Resource Locator]:https://de.wikipedia.org/wiki/Uniform_Resource_Locator
[url Beispiele]:https://krypted.com/utilities/html-encoding-reference/
