+++
tags = ["gohugo", "Theme"]
zusammenfassung = "Eigene Theme-Template erstellen. Neue Seiten aus Vorlagen aufrufen."
title = "Theme Template"
date = "2022-04-27T14:40:30+02:00"
type = "article"
+++

## Gohugo Theme Template

In Gohugo können verschiedene Theme-Templates verwendet werden. Alle Themen befinden sich im Unterverzeichnis `themes`. 
Welches Thema verwendet wird, ist in der Datei `config.toml` angegeben.

```Caddyfile{linenos=false}

 gohugo-work-directory
  ├── content
  ├── data
  ├── static
  └── themes
      ├── gohugo-theme-01
      └── gohugo-theme-02
   
```
Vordefinierte Themen sind auf der Gohugo [Projektseite](https://themes.gohugo.io) zu finden.   
Die Grundstruktur eine Themes ist folgende.

```Caddyfile{linenos=false}

  └── themes
      └── dein-theme
          ├── archetypes
          ├── assets
          ├── static
          └── layouts
   
```

### Das Verzeichnis "archetypes"

Im Verzeichnis __archetypes__ werden vordefinierte Dateien und Verzeichnisstrukturen festgelegt, die mit dem Befehl [hugo new][] erstellt werden. Standardmäßig wird die Datei `default.md` als Vorlage für eine neue Seite verwendet.

```Caddyfile{linenos=false}

  └── archetypes
      ├── default.md
      └── blog.md
   
```

Mit der Option `--kind` kann eine andere Vorlage spezifiziert werden.

{{<code lang="fish" title="Neue Seite blog-Vorlage anlegen" option="linenos=false">}}
 hugo new --kind blog content/verzeichnis02/myblog.md
{{</code>}}

### Komplexe Site-Vorlagen

Als Vorlage sind auch komplexe Verzeichnisstrukturen möglich.

```Caddyfile{linenos=false}
  └── archetypes
      ├── default.md
      ├── blog.md
      └── category
          ├── _index.md
          └── thema-01
              ├── _index.md
              ├── article01.md
              ├── article02.md
              └── article03.md

```

{{<code lang="fish" title="Komplexe Verzeichnisstruktur anlegen" option="linenos=false">}}
 hugo new --kind category content/new-category
{{</code>}}





[hugo new]:	 {{< relref "edv/gohugo/befehlsuebersicht/hugo_new" >}}

