+++
tags = ["dev", "gohugo", "markdown", "shortcodes", "fonts", "typographic"]
zusammenfassung = "Andere Schriftstile verwenden."
title = "Typographic"
submenu = "false"
date = "2020-09-10T09:10:18+02:00"
type = "article"
+++

Weitere [Info's.](https://damien.co/blog/2020-06-20-use-custom-fonts-typography-hugo-shortcode/)

### Verwenden von Schriftarten aus dem Netz

Am Beispiel von [Google-Fonts][] wird deren Anwendung in einer HTML-Seite gezeigt.
Als Erstes wird eine Shortcode-Datei `typography.html` mit einem Link zur Google-API angelegt.
Beim Aufrufen des Shortcodes in Markdown werden die Parameter [`font,`][Google-Fonts] [`size`,][size] [`style`,][style] und [`weight`][weight] übergeben. 

{{<code lang="go-html-template" title="./layouts/shortcodes/typography.html">}}
 {{ $font := .Get "font" }} 
 {{ $size := .Get "size" }}
 {{ $style := .Get "style" | default "normal" }}
 {{ $weight := .Get "weight" | default "normal" }}
 <link href="https://fonts.googleapis.com/css?family={{ $font }}" rel="stylesheet" type="text/css">
 <div style="font-family:'{{ $font }}'; font-size:{{ $size }}; font-style:{{ $style}}; font-weight:{{ $weight }}">
    {{- .Inner -}}
 </div>
{{</code>}}

In Markdown kann ein Absatz mit einem Text in einer anderen Schriftart dargestellt werden.

{{<code lang="md" title="./content/*.md">}}
 {{</*typography font="Rubik Dirt" size="30px" style="italic" weight="bold"*/>}}
	Beispiel 1: Google Font Rubik Dirt   
 {{</*/typography*/>}}

 {{</*typography font="Roboto" size="30px" weight="lighter"*/>}}
	Beispiel 2: Google Font Dancing Script   
 {{</*/typography*/>}}
{{</code>}}

Aufgrund des [Artikel vom Heise-Verlag][heise] wegen der Verwendung von Google Fonts und angeblichem Versto&szlig;es gegen die DSGVO wird auf die Darstellung verzichtet.
Das dargestellte Beispiel ist ein Screenshot. 

![kein Bild geladen](/images/Google-Fonts.jpg "{frame}")

Aber... hier das [Update][heise_update] zum Artikel.

### Verwenden von lokal gespeicherten Schriftarten

Lokale Fonts werden im Themenverzeichnis `static` gespeichert. Die Fonts sollten im Format `*.woff` oder `*.woff2` vorhanden sein. 

{{<code lang="Shell" options="linenos=false,hl_lines=6-7">}}
  └── themes
      └── dein-theme
          ├── archetypes
          ├── assets
          ├── static
          │   └── fonts
          └── layouts
{{</code>}}

[Google-Fonts][] werden im `*.ttf` Format angeboten. Dieses [Hilfstool][Tool] kann zum generieren von CSS und woff-Dateien genutzt werden. 
Weiter Info für lokale Fonts findest du bei [Selfhtml][]. 


{{<fontlocal>}}
Hier ein kurzes Beispiel mit dem Schriftstil: Roboto Serif
{{</fontlocal>}}


### Adobe Source Sans Pro

Zum Thema Open Source Fonts kannst'e diesen Links mal folgend und vielleicht später selber noch einen kleinen Artikel schreiben.   
[Heise Artikel][]   
[Source Sans 3 bei Adobe][Source Sans]   
[Wiki Artikel][wiki]


[heise]:		https://www.heise.de/news/DSGVO-Abmahnwelle-wegen-Google-Fonts-7206364.html
[Tool]:			https://google-webfonts-helper.herokuapp.com/fonts/
[Selfhtml]:		https://wiki.selfhtml.org/wiki/HTML/Tutorials/Google-Fonts_selbst_hosten
[Google-Fonts]:		https://fonts.google.com/
[size]:			https://www.w3schools.com/cssref/playdemo.asp?filename=playcss_font-size
[style]:		https://www.w3schools.com/cssref/playdemo.asp?filename=playcss_font-style
[weight]:		https://www.w3schools.com/cssref/playdemo.asp?filename=playcss_font-weight
[Source Sans]: 		http://adobe-fonts.github.io/source-sans/
[Heise Artikel]:	https://www.heise.de/blog/Variable-Fonts-und-wie-man-sie-nicht-einsetzen-sollte-7142196.html
[wiki]:			https://de.wikipedia.org/wiki/Source_Sans_Pro
[heise_update]: 	https://www.heise.de/news/Google-Fonts-Oesterreichischer-Massen-Abmahner-scheitert-9295922.html
