+++
tags = ["video", "vlc"]
zusammenfassung = "Hinweise zum Mediaplayer VLC"
title = "VLC media player"
date = "2020-12-09T14:21:00+01:00"
type = "article"
+++



## Bildschirmaufnahme mit VLC

Um den Mauszeiger während der Desktopaufnahme besser darzustellen, kann eine eigene Mauszeigerdatei verwendet (mauszeiger.png).

{{<code lang="bash">}}
 vlc --qt-start-minimized screen:// 
		:screen-mouse-image=vlc-desktop-aufnahme.cmd.mauszeiger.png 
		:screen-follow-mouse 
		:sout-keep 
		:screen-fps=25 
		:screen-left=0 
		:screen-top=0 
		:screen-width=1920 
		:screen-height=1200 
		:sout=#transcode{vcodec=h264,vb=1600,scale=1.0,acodec=mpga,ab=128,channels=2,samplerate=44100}:file{dst=/tmp/AufnahmeDatei.mp4,no-overwrite}
{{</code>}}



## Bildschirmvideos aufnehmen in Windows mit VLC

Das folgende Script in einer Batchdatei gespeichert und als Desktopsymbol hinterlegt, nimmt den gesamten Bildschirm als Video auf.

{{<code lang="cmd" title="VLC-player als Bildschirmaufnahmegerät in Windows">}}
 @echo off
 set CURTIME=%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%-%TIME:~0,2%%TIME:~3,2%%TIME:~6,2%
 setlocal enabledelayedexpansion
 set CURTIME=!CURTIME:^ =0!
 setlocal disabledelayedexpansion
 Set AufnahmeDatei=C:/Users/%USERNAME%/Videos/DesktopAufnahme-%CURTIME%.mp4
 pause
 START "" "C:/Program Files/VideoLAN/VLC/vlc.exe" --qt-start-minimized screen:// ^
		:screen-mouse-image=vlc.mauszeiger.png	^
		:screen-follow-mouse			^
		:sout-keep				^
		:screen-fps=25				^
		:screen-left=0				^
		:screen-top=0				^
		:screen-width=1920			^
		:screen-height=1200			^
		:sout=#transcode{vcodec=h264,vb=1600,scale=1.0,acodec=mpga,ab=128,channels=2,samplerate=44100}:file{dst=%AufnahmeDatei%,no-overwrite}
{{</code>}}

### Bildschirmauflösung ermitteln

Wenn sich ständig der Bildschirm ändert und entsprechend immer unterschiedliche Auflösungen vorhanden sind, dann kann mit folgenden Codezeilen die Bildschirmauflösung ermittelt werden. 


{{<code lang="cmd" title="Suchen der aktuellen Auflösung mit dem Directx Diagnoseprogramm dxdiag.exe">}}

 where.exe /Q dxdiag.exe
 if %errorlevel% equ 0 (
	echo.
	echo Suche Bildschirmaufloesung mit dxdiag.exe 
	echo - Bitte warten -
	echo.
	start /WAIT /B dxdiag.exe /whql:off /t %FILE.OUT%
	FOR /F "tokens=3,5" %%A IN ('findstr /C:"Current Mode:" %FILE.OUT%') DO (
		set resolutionX=%%A
		set resolutionY=%%B
	)
 ) 
 if exist %FILE.OUT% del %FILE.OUT%

 echo Verwende Aufloesung: %resolutionX% x %resolutionY%

{{</code>}}

## Hilfe Online

[vlc-forum.de](https://www.vlc-forum.de)   
[Guckst du hier](https://www.vlc-forum.de/thread/1867-f30-kommandozeile-aufruf-und-parameter%C3%BCbergabe/)

## Hilfe

{{<code lang="bash">}}
 vlc --help	# Hilfe anzeigen
 vlc -H		# Hilfe anzeigen ausführlich
{{</code>}}


{{<code lang="bash" file="/static/include_files/vlc_help.txt" title="vlc Hilfeausgabe">}}

{{</code>}}
  
