+++
tags = ["ubuntu", "gnome", "dconf"]
zusammenfassung = "Den Gnome-Desktop konfigurieren."
title = "gsettings - dconf"
date = "2022-12-02T23:05:53+01:00"
type = "article"
+++

Mit `gsettings` und `dconf` werden Einstellungen für den Gnomedesktop auf der Konsole vorgenommen (bzw. `dconf-editor` als GUI-Ausführung).
Vorab ein paar Optionen:

```xorg{linenos=false}

 gsettings list-schemas		# listet alle installierte Schemata auf
 gsettings list-keys <schema>	# listet alle Schlüssel des Schemas auf
 gsettings set			# setzt den Wert eines Schlüssels
 gsettings get			# ermittelt den Wert eines Schlüssels 
   
```


Nützliche Anpassungen sind folgende:

```xorg{linenos=false}
  
 # Laufwerkssymbole im Dock abschalten 
 gsettings set org.gnome.shell.extensions.dash-to-dock show-mounts false

 # Papierkorb im Dash-Dock abschalten
 gsettings set org.gnome.shell.extensions.dash-to-dock show-trash false

 # VNS-Verbindung: Zustimmung anschalten wenn auf ein PC mit VNC zugegriffen wird
 gsettings set org.gnome.Vino prompt-enabled true

 # VNC-Verbindung: Verbindungsverschlüsselung einschalten
 gsettings set org.gnome.Vino require-encryption true 

 # VNC-Verbindung: Hintergrundbild abschalten
 gsettings set org.gnome.Vino disable-background true 
   
```


Siehe auch im Ubuntu Wiki zu [dconf.][dconf]

[dconf]:	https://wiki.ubuntuusers.de/GNOME_Konfiguration/dconf/
