+++
tags = ["firewall", "ufw", "ssh", "iptables"]
zusammenfassung = "Den Zugriff auf das eigene Netzwerk und das System schützen."
title = "Firewall"
date = "2023-05-04T16:51:38+02:00"
type = "article"
+++

## Firewall -ufw-

Für _ufw_ sind immer _root_ Rechte erforderlich.

```fish{linenos=false}

 ufw	status		  # listet alle Regeln auf 
 ufw 	status 	numbered  # listet Regeln auf, nummeriert
 ufw	enable		  # aktiviert ufw
 ufw	disable		  # deaktiviert ufw 
   
```

SSH-Port in der Firewall freigeben - nimm einen der folgenden Befehle:

```fish{linenos=false}
 
 ufw allow  ssh
 ufw allow  22/tcp
 ufw allow  22/tcp comment  'Ein Kommentar an die Regel anfügen' 

 # löschen der Regel
 ufw delete allow 22/tcp
   
```

Zum löschen einer Regel kann auch die durch `ufw status numbered` aufgelistete Regelnummer verwenden werden.


```fish{linenos=false}

 # Regelnummer ermitteln
 ufw status numbered

 # löschen mit Nummer
 ufw delete «nummer»
   
```





