+++
tags = ["hibernate", "ruhezustand", "grub"]
zusammenfassung = "Den Rechner in den Ruhezustand versetzen."
title = "Hibernate"
date = "2023-02-19T23:37:25+01:00"
type = "article"
+++


Gilt für Ubuntu 22.04
1. Die Swap-partition sollte 10% größer sein als der Arbeitsspeicher. Unter Umständen ist eine entsprechende Partitionierungssoftware zu beauftragen (`parted, gnome-disks, etc.`). Außerdem muss die UUID ermittelt werden. Diese Info erhält man durch folgende Befehle.

>{{<code lang="fish">}} 
 lsblk -o NAME,UUID,FSTYPE,SIZE,LABEL,MOUNTPOINT
 systemctl --type swap
 swapon --show
 blkid
{{</code>}}

2. Eintrag der UUID in `/etc/default/grub`

>{{<code lang="bash">}}
 GRUB_CMDLINE_LINUX_DEFAULT="noplymouth resume=UUID=<UUID-der-Swappartition>"
{{</code>}}

3. Eintrag in `/etc/initramfs-tools/conf.d/resume`

>{{<code lang="bash">}}
 RESUME=UUID=<UUID-der-Swappartition>"
{{</code>}}

4. Updaten als root

>{{<code lang="fish">}}
 update-grub
 update-initramfs -u -k all 
 reboot
{{</code>}}

5. System in Ruhezustand versetzen

>{{<code lang="fish">}}
 systemctl hibernate
{{</code>}}

6. Informationen anzeigen

>{{<code lang="fish">}}
 journalctl -b -u systemd-hinernate.service
 systemctl status hibernate.target
{{</code>}}

>__Hinweis:__ Um alle von `systemd` verwendeten Services anzuzeigen, verwende die Tabulatortaste oder einen/mehrere Anfangsbuchstaben mit darauffolgender Tabulatortaste.

>{{<code lang="fish">}}
 systemctl status [Tabtaste]
 journalctl -b -u system[Tabtaste]
{{</code>}}
