+++
tags = ["openssl", "Verschlüsselung"]
zusammenfassung = "Zertifikate erzeugen, verwalten und beantragen."
title = "Openssl"
date = "2024-09-03T23:19:56+02:00"
type = "article"
+++

## Was ist OpenSSL

OpenSSL dient zum verwalten, erzeugen und beantragen von Zertifikaten für das Verschlüsselungsprotokoll TLS (Transport Layer Security) zur sicheren Datenübertragung im Internet z.B. beim Seitenaufruf in einem Webbrowser (https).

## Beispiel

Um zum Beispiel die Zertifikatkette der Domäne https://www.vermessungsprogramme.de anzuzeigen gib folgendes ein:

```fish{linenos=false}

 openssl s_client -connect vermessungsprogramme.de:443 -tls1_3
 # oder 
 openssl s_client -connect vermessungsprogramme.de:443 -servername vermessungsprogramme.de -verify 3

Ausgabe:   
```

```fish{linenostart=1}
verify depth is 3
CONNECTED(00000003)
depth=2 C = US, O = DigiCert Inc, OU = www.digicert.com, CN = DigiCert Global Root G2
verify return:1
depth=1 C = US, O = DigiCert Inc, OU = www.digicert.com, CN = Encryption Everywhere DV TLS CA - G2
verify return:1
depth=0 CN = vermessungsprogramme.de
verify return:1
...
```

Ergebnis:
: 1. Zeigt an dass die Verbindung erfolgreich aufgebaut werden konnte.
: 2. Das Wurzelzertifikat lautet CN = DigiCert Global Root G2
: 3. Das Wurzelzertifikat konnte erfolgreich überprüft werden.
: 4. Das Zwischenzertifikat lautet CN = Encryption Everywhere DV TLS CA - G2. Es wurde vom Root-Zertifikat signiert.
: 5. Das Zwischenzertifikat konnte erfolgreich überprüft werden.
: 6. Das Server-Zertifikat lautet "vermessungsprogramme.de". Es wurde vom Zwischenzertifikat signiert.
: 7. Das Server-Zertifikat konnte erfolgreich überprüft werden.





## Weblinks

[CA Wiki by Ubuntu][CA]

[CA]:		https://wiki.ubuntuusers.de/CA/	
