+++
tags = ["ssh", "sftp", "ftp", "Secure Shell"]
zusammenfassung = "Dateien sicher übertragen."
title = "sftp - Secure File Transfer Protocol"
date = "2022-04-20T13:57:17+02:00"
type = "article"
+++

## Kurzbeschreibung

Mit [sftp][] können Dateien und ganze Verzeichnisse verschlüsselt übertragen werden.

## Anwendung

{{<panel theme="bashout" header="Verbindung zu einem Provider aufbauen">}}
 sftp www.domainname.de@ssh.strato.de
{{</panel>}}

Nach einer erfolgreichen Verbindung steht ein Eingabeprompt `sftp>` auf der Konsole zur Verfügung. Einige wichtige Befehle sind:


{{<mytable class="width80 greyhead small smallfont fontcourier striped">}}
| Command  | Beschreibung                                                                                                                               |
| -------- | ----------------------------------------------------------------------------------------------------------------------------------- |
| get      | Download Datei von Remote zu Lokal                        |
| get -R   | Download Verzeichnis (-R = rekursive) von Remote zu Lokal |
| put      | Upload Datei von Lokal zu Remote                         |
| put -R   | Upload Verzeichnis (rekursive=  von Lokal zu Remote                         |
| help     | Hilfe ausgeben                                                                                |
| quit     | Beendet sftp                                                                                |
| ls       | Verzeichnissinhalt auflisten                                                                                           |
{{</mytable>}}

__Problem:__ Mit `sftp` kann ein Verzeichnis nicht rekursive gelöscht werden.


[sftp]: https://de.wikipedia.org/wiki/SSH_File_Transfer_Protocol

