+++
tags = ["users", "adduser", "Benutzer", "deluser"]
zusammenfassung = "Einen Benutzer einrichten."
title = "User"
date = "2022-12-28T18:27:22+01:00"
type = "article"
+++

Nachdem ich jedesmal recherchieren mußte, wie auf der Konsole die Programme zur Benutzerverwaltung heißen, weil ich ja immer die schei... GUI's verwende, hier also die entsprechenden Systemprogramme.

## Programme zur Benutzerverwaltung

{{<code lang="fish">}}
 useradd		# Benutzer anlegen
 userdel		# Benutzer löschen
 userdel --remove	# Benutzer löschen inkl. Home Verzeichnis
 usermod		# Benutzerkonten bearbeiten 

 adduser		# Frontend für useradd, groupadd, usermod
 adduser --system	# Systembenutzer hinzufügen. Systemverwalter können Benutzer hinzufügen oder entfernen, sowie Einstellungen für alle Benutzer ändern.
 adduser --group 	# Gruppe hinzufügen
 adduser USER GROUP	# Hinzufügen eines USER einer Gruppe

 addgroup		# Benutzergruppe hinzufügen
 addgroup --system	# Systemgruppe hinzufügen
 groupdel		# Gruppe löschen
  
 users		# zeigt wer alles angemeldet ist
 id		# Benutzerinfo anzeigen
  
 passwd USER	# Passwort des BENUTZER ändern
 groups USER	# Gruppenzugehörigkeit des BENUTZER anzeigen

{{</code>}}

#### Übersicht über Benutzer und Gruppen


{{<code lang="fish">}}
 # Alle vorhandenen Gruppen anzeigen:
 less /etc/group | awk  -F ":" '{ print $1}' | sort
 getent group | column -t -s ":"

 # Alle Benutzer anzeigen 
 less /etc/group | awk  -F ":" '{ print $1}' | sort
 getent passwd | column -t -s ":"

{{</code>}}


#### Zum Beispiel den Benutzer "ed" einrichten

{{<code lang="fish">}}
 useradd -m -G users,adm -s /bin/bash ed
 passwd ed

 # ed der Gruppe sudo zuweisen
 usermod -aG sudo ed
{{</code>}}
   


[usermod]: https://wiki.ubuntuusers.de/usermod/
[adduser]: https://wiki.ubuntuusers.de/adduser/
