+++
tags = ["chcp", "utf-8", "latin", "latin-1", "codepage", "Zeichentabelle"]
zusammenfassung = "Zeichensatz-Tabelle anwenden."
title = "Codepage"
date = "2024-10-22T15:36:44+02:00"
type = "article"
+++

Die Computersprache ist im Prinzip eine Folge von Nullen und Einsen. Zeichensatz-Tabellen werden benötigt um Buchstaben und besondere Zeichen wie das _ß_ oder Umlaute darzustellen.
Jeder Buchstabe, bzw. Zeichen ist mit einer Zahl codiert um ihn vom Computer zu verarbeiten. Zum Beispiel um ihn auf dem Bildschirm oder Drucker auszugeben oder als Text in eine Datei zu speichern.
   
Ganz am Anfang der digitalen Welt gab es aufgrund mangelndem Speicherplatzes nur eine entsprechende Zeichensatz-Tabelle, die für ein Land benötigt wurde.
In heutiger Zeit wird vorrangig _UTF-8_ als globale Zeichencodierung verwendet.
   
Aus historischen Gründen kann es unter Umständen sein, dass in einigen textverarbeitenden Programmen oder auf der Konsole (DOS, Unix) die deutschen Umlaute nicht richtig dargestellt werden. In der DOS-Konsole _cmd.exe_ von Windows ist z.B. Standardmässig die Zeichentabelle 850 (OEM Multilingual Latainisch I) eingeschaltet.
Mit dem DOS-Programm _chcp_ kann die Zeichentabelle umgeschaltet werden.

{{<code lang="bash" title="cmd.exe">}}  
 chcp		# aktuelle Codepage ausgeben
 chcp 	65001 	# UTF-8   Zeichentabelle anwenden
 chcp 	1252 	# Latin 1 Zeichentabelle anwenden

{{</code>}}
 
