+++
tags = ["Windows", "Excel", "Blattschutz", "Arbeitsmappenschutz", "Kennwort", "Passwort"]
zusammenfassung = "Blattschutz und Arbeitsmappenschutz in Excel entfernen."
title = "Excel - Kennwort entfernen"
date = "2023-08-28T13:12:32+02:00"
type = "article"
+++

Unter Umständen kann es passieren, dass das Passwort für den Blattschutz, bzw. Arbeitsmappenschutz vergessen wurde oder der entsprechende Mitarbeiter nicht mehr in der Firma gastiert. Frei nach Adam Douglas heißt es dann: "Don't Panic!"
   

### Excel neuste Versionen

In den neueren Versionen von Excel (2016) ist das Kennwort meist als SHA512 Hashwert verschlüsselt. Aber, welch Glück, in der Exceldatei schnell zu finden.

1. Umbennen der Exceldatei in eine Zip-Datei: `*.xlsx` in `*.xlsx.zip`
2. Öffne die Zip-Datei um die Datei- und Verzeichnisstruktur zu analysieren. 
3. Suche alle XML-Dateien mit den Elementen `<sheetProtection ... />` (Blattschutz) und `<workbookProtection ... />` (Arbeitsmappenschutz).
4. Löschen alles zwischen den Elementen `<sheetProtection` bis `/>` und `<workbookProtection` bis `/>`.
5. Zip-Datei abspeichern und wieder umbennen in ursprüngliche Exceldatei `*.xlsx`

### Excel ältere Versionen

In älteren Version liegt das Passwort in dieser Form vor z.B.: `<sheetProtection password="851D"`, dann hilft meistens ein Visual Basic Makro oder das Löschen des XML-Elements wie oben beschrieben.
