#!/bin/bash

# https://gdal.org/user/ogr_sql_dialect.html      wegen  OGR_GEOM_WKT
# https://giswiki.hsr.ch/HowTo_OGR2OGR

# Kurze Hilfe
# ogr*.exe		--help-general 		Ausgabe der Optionen die für einige ogr* Programme (ogrinfo.exe, ogr2ogr.exe, ogrlineref.exe)
# ogr2ogr.exe 		--formats		Listet aller unterstützten Vectorformate auf (CSV, ESRI Shapefile, etc.)
# ogr2ogr.exe		--format xxxx		Details zum Vectorformat. Die in der Ausgabe aufgelisteten Option werden im Befehl wie folgt angesprochen:
#						LayerCreationOptionList    	-> ogr2ogr.exe -lco ...
#

declare LAYER=VerwaltungsEinheit_MinMaxGrenzen

declare SHPFILE=$LAYER.shp

declare TMPFILE=$(mktemp.exe $LAYER.XXXX.tmp)
declare CSVFILE=$TMPFILE.csv
declare VBORISFILE=$LAYER.wgede.$(date.exe '+%Y%m%d-%H%M%S').csv
declare SELECT
declare FROMWHERE

# Anweisung für Ausgabe 
SELECT="SELECT 	ags 				as gede,
		SUBSTR('GD',1,2) 		as gken,
		SUBSTR('100',1,3) 		as dst,
		name 				as gdna,
		SUBSTR('2024-06-05',1,10) 	as erda,		
		SUBSTR('9223',1,4) 		as fanr,
		SUBSTR('13',1,2) 		as ofd,
		SUBSTR(' ',1,1) 		as smgd,
		SUBSTR('0',1,1) 		as ewken,
		SUBSTR('0',1,1) 		as gdrw1,
		SUBSTR('0',1,1) 		as gdhw1,
		SUBSTR('0',1,1) 		as gdrw2,
		SUBSTR('0',1,1) 		as gdhw2,
		SUBSTR('0',1,1) 		as gdrwb1,
		SUBSTR('0',1,1) 		as gdhwb1,
		SUBSTR('0',1,1) 		as gdrwb2,
		SUBSTR('0',1,1) 		as gdhwb2,
		CONCAT(SUBSTR(ags,2),'100')	as gid,
		OGR_GEOM_WKT	 		as geom
		
				"
FROMWHERE=" FROM $LAYER "
# FROMWHERE=" FROM $LAYER WHERE name='Naila'"

#		AsGeoJSON(geometry) 	as geom

# Anweisung für Testzwecke
: << mehrzeiligerKommentar
mehrzeiligerKommentar


# Erzeuge csv Datei
/c/dev/osgeo4w/bin/ogr2ogr.exe \
-nlt PROMOTE_TO_MULTI \
-f CSV \
$CSVFILE \
$SHPFILE \
-sql " $SELECT $FROMWHERE " \
-lco SEPARATOR=COMMA 

# Aktionen mit sed
# 1. Ausgabe ab der 2. Zeile bis Ende
# cat  $CSVFILE | sed -n '2,$p' | unix2dos.exe > $VBORISFILE
cat  $CSVFILE | unix2dos.exe > $VBORISFILE

# Lösche Temporäre Dateien
rm $TMPFILE
rm $CSVFILE

echo -e "\n\nfertig \t$VBORISFILE"
