+++
tags = ["GAA", "Bauleitplanung", "Bebauungsplan", "Flächennutzungsplan", "Sanierungsmaßnahmen"]
zusammenfassung = "Der Flächennutzungsplan und der Bebauungsplan (B-Plan)"
title = "Bauleitplanung, städtebauliche Sanierungsmaßnahmen"
date = "2022-08-03T17:55:36+02:00"
type = "article"
+++

## Bauleitplanung {class=counter}

Die Bauleitplanung ist ein wesentliches Instrument der Ortsplanung einer Gemeinde. Aufgabe der Bauleitplanung ist aus [§1 Abs. 5 BauGB][BauGB-1] ersichtlich. Teile der Bauleitplanung sind der Flächennutzungsplan (vorbereitender Bauleitplan) und der Bebauungsplan (verbindlicher Bauleitplan). 

### Der Flächennutzungsplan {class=counter}

Der Flächennutzungsplan bereitet die Bodennutzung vor. Im Flächennutzungsplan ist die Art der
Bodennutzung in den Grundzügen darzustellen. [(§ 5 Abs. 1][BauGB-5] [BauGB)][BauGB] 

{{<nolistsymbol>}}
* Verfahrensablauf
   1. Aufstellungsbeschluss der Gemeinderat/Stadtrat
   2. Vorentwurf (Behördenbeteiligung und sonstiger Träger öffentlicher Belange)
   3. Entwurf (öffentlich ausgelegt)
   4. Endgültige Fassung durch Gemeinde/Stadt (Feststellungsbeschluß)
   5. Genehmigung durch Landratsamt gemäß §6 BauGB
   6. Ortsübliche Bekanntmachung (rechtskräftige Ausführung mit Siegel und Unterschrift Bügermeister). Damit wird der FNP wirksam und jedermann kann ihn einsehen [(§6 Abs. 5 BauGB).][BauGB-6]

Die für die Bebauung vorgesehen Flächen im Flächennutzungsplan können nach der __allgemeinen Art der baulichen Nutzung__ 
und nach der __besonderen Art der baulichen Nutzung__ dargestellt werden. [(§ 1 BauNVO)][BauNVO-01]

{{<nolistsymbol>}}
* allgemeine Art der baulichen Nutzung
   1. (W) Wohnbauflächen
   2. (M) gemischte Bauflächen
   3. (G) gewerbliche Bauflächen
   4. (S) Sonderbauflächen

### Der Bebauungsplan {class=counter}

Der Bebauungsplan regelt verbindlich die Nutzung der Grundstücke. Bebauungspläne sind gemeindliche Satzungen ([§ 10 Abs. 1][BauGB-10] [BauGB][]) und grundsätzlich aus dem Flächennutzungsplan zu entwickeln. 

#### Arten von B-Plänen {class=counter}
* Der __qualifizierter Bebauungsplan__ ([§ 30 Abs. 1][BauGB-30] [BauGB][])
   + ist im Genehmigungsfreistellungsverfahren ([Art. 58][BayBO-58] [BayBO][]) wenn die Gemeinde nichts anderes verfügt.
   + enthält mindestens Festsetzungen über:
      + die [Art][BauNVO-Art] und das [Maß][BauNVO-Mass][^1] der baulichen Nutzung  - [BauNVO][]
      + die [überbaubaren Grundstücksflächen][BauNVO-Bauweise]
      + die örtlichen Verkehrsflächen
   
* In einem __einfachen Bebauungsplan__ [(§ 30 Abs. 3][BauGB-30] [BauGB)][BauGB] fehlt eine o.g. Festsetzung. Die Zulässigkeit richtet sich nach [§ 34][BauGB-34] und [§ 35][BauGB-35] [BauGB.][BauGB]

* Bei einem __vorhabenbezogenen Bebauungsplan__ [(§ 30 Abs. 2][BauGB-30] und [§ 12][BauGB-12][BauGB)][BauGB] kann die Gemeinde die Planungs- und Erschließungkosten weitgehend auf einen Vorhabenträger übertragen.

* __Bebauungspläne der Innenentwicklung__ [(§ 13a BauGB)][BauGB-13a] sind für bestimmte Zwecke, die Wiedernutzbarmachung von Flächen, die Nachverdichtung oder andere Maßnahmen der Innenentwicklung gebunden.






## Bauplanungsrecht (ab §29 BauGB) {class=counter}
Das [BauGB][] regelt in den Paragragen §30 bis §37 Vorhaben für die Errichtung, Änderung oder Nutzungsänderung von baulichen Anlagen. Im Weiteren regelt es auch Aufschüttungen und Abgrabungen größeren Umfangs sowie Ausschachtungen und Ablagerungen einschließlich Lagerstätten.
Insbesondere werden folgenden Bauvorhaben geregelt:

- [§ 30 BauGB][BauGB-30]: Vorhaben im Geltungsbereich eines Bebauungsplanes (B-Plan)
- [§ 34 BauGB][BauGB-34]: Vorhaben innerhalb der im Zusammenhang bebauten Ortsteile
- [§ 35 BauGB][BauGB-35]: Vorhaben im Außenbereich
   + Nach § 35 Abs. 6 kann die Gemeinde eine Außenbereichsatzung beschließen. Beispiele: 
      + Münchberg, Markersreuth - [Außenbereichssatzung "Grund"][AB-Grund_Begr] mit [Plan][AB-Grund_Plan]
      + Rehau, Kühschwitz - [Außenbereichssatzung "Neukühschwitz-Süd"][AB-Neuk] 

Hinweis zu §34: Vorhaben innerhalb der im Zusammenhang bebauten Ortsteile muß nicht zwingend einen Flächennutzungsplan voraussetzen. 

[Weitere interessante Seiten zu Bauplanungsrecht, Außen-, Innenbereich, BauNVO usw.][stadtgrenze.de]

## Städtebauliche Sanierungsmaßnahmen {class=counter}

Eine Gemeinde oder eine Stadt kann ein Sanierungsgebiet ausweisen um städtebauliche Mißstände zu beheben [(§&nbsp;136&nbsp;BauGB).][BauGB-136]
Durch die Sanierungsmaßnahmen wird das Gebiet verbessert, erneuert und modernisiert. Es gewinnt wieder an Attraktivität. 
Grundstückseigentümer profitieren dabei vom neu geschaffenen Umfeld, von der Werterhöhung ihres Grundstücks aber auch von Fördermitteln zur Sanierung ihrer Häuser.
Die Kosten der Sanierung (Planung, Vorbereitung, Schaffung neuer Infrastruktur, etc.) werden teilweise auf die Grundstückseigentümer übertragen.
   
Weiter umfangreiche Info gibt es [hier][Sanierungsvermerk] und [da.][Leitfaden_Sanierung]




[BauGB]: 		http://www.gesetze-im-internet.de/bbaug/
[BauGB-1]:		http://www.gesetze-im-internet.de/bbaug/__1.html
[BauGB-5]:		http://www.gesetze-im-internet.de/bbaug/__5.html
[BauGB-6]:		http://www.gesetze-im-internet.de/bbaug/__6.html
[BauGB-10]:		http://www.gesetze-im-internet.de/bbaug/__10.html
[BauGB-12]:		http://www.gesetze-im-internet.de/bbaug/__12.html
[BauGB-13a]:		http://www.gesetze-im-internet.de/bbaug/__13a.html
[BauGB-30]:		http://www.gesetze-im-internet.de/bbaug/__30.html
[BauGB-34]:		http://www.gesetze-im-internet.de/bbaug/__34.html
[BauGB-35]:		http://www.gesetze-im-internet.de/bbaug/__35.html
[BauGB-136]:		http://www.gesetze-im-internet.de/bbaug/__136.html
[BayBO]:		https://gesetze-bayern.de/Content/Document/BayBO/true
[BayBO-58]:		https://gesetze-bayern.de/Content/Document/BayBO-58
[BauNVO]:		http://www.gesetze-im-internet.de/baunvo/
[BauNVO-01]:		http://www.gesetze-im-internet.de/baunvo/__1.html
[BauNVO-Art]:		http://www.gesetze-im-internet.de/baunvo/BJNR004290962.html#BJNR004290962BJNG000102116
[BauNVO-Mass]:		http://www.gesetze-im-internet.de/baunvo/BJNR004290962.html#BJNR004290962BJNG000202116
[BauNVO-Bauweise]:	http://www.gesetze-im-internet.de/baunvo/BJNR004290962.html#BJNR004290962BJNG000302116
[stadtgrenze.de]:	https://www.stadtgrenze.de/index.htm
[AB-Grund_Plan]: 	/pdf/Aussenbereichssatzung_grund-markersreuth-35-planblatt-2020-07-21.pdf
[AB-Grund_Begr]: 	/pdf/Aussenbereichssatzung_grund-markersreuth-35-begruendung-2020-07-21.pdf
[AB-Neuk]: 		/pdf/Aussenbereichssatzung_Kuehschwitz.pdf
[Sanierungsvermerk]:	https://www.heimkapital.de/magazin/sanierungsvermerk/
[Leitfaden_Sanierung]:	https://www.stmb.bayern.de/assets/stmi/buw/staedtebaufoerderung/iic6_oeff_arbeitsblatt_4.pdf

[^1]: Ein Vorhaben fügt sich nach dem Maß der baulichen Nutzung in die __Eigenart der näheren Umgebung__ ein, wenn es dort Referenzobjekte gibt, die bei einer wertenden Gesamtbetrachtung von Grundfläche, Geschosszahl und Höhe, bei einer offener Bebauung auch nach dem Verhältnis der zur Freifläche, vergleichbar sind (vgl. BVerwG, Urteil vom 8.12.2016 - 4C7.15).   
Die im Maß der baulichen Nutzung festgelegte __Grundflächenzahl__ dient in erster Linie dazu, eine übermäßige Nutzung des Grundstücks zugunsten des Bodenschutzes zu vermeiden.
