+++
tags = ["lra", "GAA", "Ackerlandzahl", "Grünlandzahl", "Ertragsmesszahl", "Bodenschätzung"]
zusammenfassung = "Bodenwerte landwirtschaftlicher Grundstücke wie Ackerlandzahl, Grünlandzahl, Ertragsmesszahl, etc."
title = "Bodenschätzung"
date = "2022-05-17T16:00:25+02:00"
type = "article"
[mathjax]
	scale = 0.85
	cnumb = "none"
	align = "left"
+++

## Aufgabe der Bodenschätzung

Im [Merkblatt Bodenschätzung][] beschreibt das Bayerische Landesamt für Steuern die Aufgaben der Bodenschätzung. Die Aufgaben sind:
* Die Unterscheidung der landwirtschaftlich genutzten/nutzbaren Böden von den nicht landwirtschaftlich genutzten.
* Die Ermittlung der Kulturarten.
* Die Beschreibung des Bodens und der sonstigen natürlichen Ertragsfaktoren.
* Die Feststellung von Ertragswertzahlen (Verhältnisszahl) aufgrund der natürlichen Ertragsbedingungen.

## Definition der Wertzahlen

{{<columns class="growfirst">}}

Im Bodenschätzungsgesetz [BodSchätzG](http://www.gesetze-im-internet.de/bodsch_tzg_2008/index.html) sind im §4 die Wertzahlen festgelegt. 
Allgemein hat der Boden höchster Ertragsfähigkeit in Deutschland die Wertzahl 100. 
Die Wertzahlen der Böden (Ackerland, Grünland) geben das prozentuale Ertragsverhältnis zur höchsten Ertragsfähigkeit an.
   
Bei __Ackerland__ bringt die __Bodenzahl__ die durch Bodenbeschaffenheit bedingten Unterschiede der natürlichen Ertragsfähigkeit zum Ausdruck.
Die __Ackerzahl__ berücksichtigt Ertragsunterschiede durch Klima, Geländegestaltung und andere natürliche Ertragsbedingungen.
  
Bei __Grünland__ liefert die __Grünlandgrundzahl__ die durch Bodenbeschaffenheit, Klima- und Wasserverhältnisse bedingten Unterschiede der Ertragsfähigkeit zum Ausdruck.
Die __Grünlandzahl__ berücksichtigt Ertragsunterschiede durch Geländegestaltung und andere natürliche Ertragsbedingungen. 
Bei der Schätzung von Grünland-__Hutungen__ und -Streuwiesen werden nur die Grünlandzahlen festgelegt.

<--->

{{<mytable caption="Wertzahlen der Bodenschätzung" class="captleft greyhead smallfont fontcourier small">}}
| Ackerland | Grünland |
|:----:|:----:|
|Bodenzahl| Grünlandgrundzahl |
|Ackerzahl| Grünlandzahl |
{{</mytable>}}

{{</columns>}}

### Ertragsmesszahl

Nach §9 [BodSchätzG][] ist die Ertragsmesszahl das Produkt einer Fläche und der Acker- oder Grünlandzahl. 
Die Ertragsmesszahl drückt die natürliche Ertragsfähigkeit bezogen auf einer Fläche aus. 
Nach §14 wird die Ertragsmesszahl anlassbezogen für jedes Flurstück von der mit der Führung des Liegenschaftskatasters beauftragten Behörden berechnet.
Die Ertragsmesszahl (E) ergibt sich wie folgt:

\begin{equation}
E_{\color{darkgoldenrod}Ackerland} \color{black} = \frac{ Fläche\ (m^2) \cdot \color{darkgoldenrod}Ackerzahl}{\color{black}100 }
\end{equation}

\begin{equation}
{E_{\color{green}Grünland} \color{black} = \frac{ Fläche\ (m^2) \cdot \color{green}Grünlandzahl}{\color{black}100 }}
\end{equation}

Für die durchschnittlich bereinigte Ertragsmesszahl hält das Land Baden-Württemberg eine entsprechende [Karte](https://www.landwirtschaft-bw.info/pb/,Lde/3650826_3651462_5405915_5378885_5378933_5394977) vor.


## Bodenmerkmale

Die Bodenmerkmale sind in den Anlagen des Bodenschätzungsgesetzes jeweils für [Ackerland](http://www.gesetze-im-internet.de/bodsch_tzg_2008/anlage_1.html) und [Grünland](http://www.gesetze-im-internet.de/bodsch_tzg_2008/anlage_2.html) angegeben. 
Anhand eines Auszugs aus einem Geoinformationssystem werden die Bodenmerkmale gezeigt, um die Kulturarten Ackerland und Grünland zu klassifizieren. 
Die Bodenmerkmale sind:

{{<columns class="center growlast">}}

![Bild Bodenschätzung.jpg](/images/Bodenschaetzung2.jpg "Beispiel Bodenmerkmale in einer Karte {frame}")

<--->

{{<mytable caption="Bodenmerkmale" class="captleft tableright greyhead smallfont fontcourier small">}}
| Ackerland     | z.B. | Grünland      | z.B. |
|--------------:|:-----|--------------:|:-----|
| Bodenart      |sL    | Bodenart      |T     |
| Zustandsstufe |5     | Zustandsstufe |II    |
| Enstehung     |V     | Klima         |c     |
|               |      | Wasserstufe   |3     |
| Bodenzahl     |45    | Grünlandgrundzahl |34 |
| Ackerzahl     |32    | Grünlandzahl  |32 |
{{</mytable>}}


{{</columns>}}

__Tipp:__ Steht an dritter Position der Buchstabe _a_,_b_ oder _c_, dann handelt es sich um _Grünland_.

### Bodenarten

Das [BodSchätzG][] unterscheidet die Bodenarten nach Ackerland und Grünland.

{{<mytable caption="Bodenarten" class="width80 captleft greyhead smallfont fontcourier small">}}
| Ackerland | Grünland | Abkürzung |
|:----:|:----:|:--:|
|Sand | Sand | S |
|schwach lehmiger (anlehmiger) Sand | | SI |
|lehmiger Sand | lehmiger Sand | IS |
|stark lehmiger Sand | | SL |
|sandiger Lehm | | sL |
|Lehm | Lehm | L |
| schwerer Lehm |  | LT |
| Ton | Ton | T |
| Moor | Moor | M |
{{</mytable>}}

### Zustandsstufe

Die Zustandsstufen definieren im Prinzip die Entwicklungsstufen des Bodens von der niedrigsten zur höchsten Ertragsfähigkeit. 
Die Zustandsstufe mit der niedrigsten Zahl (Stufe 1) hat den günstigsten Zustand. 
Bei Ackerland wird die Zustandsstufe durch Alterung und Degradierung in Form von Entkalkung, Bleichung, Versauerung, Verdichtung sowie Durchwurzelungstiefe beeinflußt. 
Bei Grünland sind das die Basenverhältnisse in den einzelnen Zustandsstufen.

### Klassenfäche

Der Boden wird in Klassen eingeteilt und in Klassenflächen abgegrenzt.




[Merkblatt Bodenschätzung]:	/pdf/Merkblatt_Bodenschaetzung_2019.pdf
[BodSchätzG]:				http://www.gesetze-im-internet.de/bodsch_tzg_2008/index.html
