+++
tags = ["lra", "gaa", "gebühren", "umsatzsteuer"]
zusammenfassung = "Gebühren und Kosten für Gutachten, Auskünfte aus der Kaufpreissammlung und Bodenrichtwertauskünfte."
title = "Gebühren, Kosten, Umsatzsteuer"
date = "2020-12-08T10:59:55+01:00"
type = "article"
+++

## Allgemeines
Auskünfte aus der Kaufpreissammlung sind kostenpflichtige Amtshandlungen. Die Gebühr richtet sich nach dem Kostengesetz und dem Kostenverzeichnis. 
Verkehrswertgutachten sind ebenfalls kostenpflichtig ([&#8599;intern](http://komxworkv3.lra-hof.de/link.ashx?document=13358913))[^2].

## Umsatzbesteuerung
Nach Ende einer Übergangsfrist (31.12.2022) unterliegt der Gutachterausschuss einer Umsatzsteuerpflicht, wenn Leistungen des Gutachterausschusses zu einer Wettbewerbsverzerrung führt.
Eine Wettbewerbsverzerrung liegt __nicht__ vor wenn:
- der aus gleichartiger Tätigkeit erzielte Umsatz voraussichtlich 17.500 Euro ([§ 2b Abs. 2 Nr. 1 UStG]) nicht übersteigt (gilt nicht für LRA). 
- vergleichbare, auf privatrechtlicher Grundlage erbrachte Leistungen einer Steuerbefreiung unterliegen (§ 2b Abs. 2 Nr. 2 UStG),
- die Leistungen aufgrund gesetzlicher Bestimmungen nur von juristischen Personen des öffentlichen Rechts erbracht werden dürfen (§ 2b Abs. 3 Nr. 1 UStG).

Vor diesem Hintergrund ist die Frage der Umsatzsteuer wie folgt zu bewerten: 
1. Die Erstellung von __Verkehrswert- und Entschädigungsgutachten__ n. § 193 BauGB ist __umsatzsteuerpflichtig__. Grund hierfür ist das Gutachten auch von privaten Sachverständigen erstellt werden können.
2. Gutachten nach [§107 BauGB][] (Enteignungsverfahren) sind __nicht umstatzsteuerpflichtig__.
3. Auskünfte aus der Kaufpreissammlung und amtliche Bodenrichtwerten sowie die aus der Kaufpreissammlung abgeleiteten wertermittlungsrelevanten Daten sind __nicht umsatzsteuerpflichtig__.
4. Die o.g. __Wertgrenze von 17.500 Euro__ ([§ 2b Abs. 2 Nr. 1 UStG]) gilt für Umsätze aus gleichartigen Tätigkeiten des gesamten Unternehmens. Das gesamte Unternehmen ist demgemäß der Freistaat Bayern und die an den Landratsämtern gebildeten Gutachterausschüssen. 
D.h. die Wertgrenze findet keine Anwendung in den Gutachterausschüssen der Landratsämter. 
Somit sind die __Gutachterausschüsse in den Landratsämtern umsatzsteuerpflichtig__. 
Wohin gegen die in den kreisfreien Gemeinden gebildeten Gutachterausschüsse die Wertgrenze anwendbar ist.

## Kostenfreie Gutachten

Kostenfreie Gutachten in Kurzform werden erstellt für:
+ die Sozialämter der Landkreise und Städte
+ den Bezirk Oberfranken
+ das Jobcenter

&#8599; `m:\Übergabe-GAA\Schreiben\Gutachterausschuss\Gutachten Amtshilfe`

### Gutachten f&uuml;r den Bezirk Oberfranken
Für die Sozialverwaltungen des Bezirkes Oberfranken werden kostenfreie und kurze Formulargutachten erstellt ([&#8599;intern](http://komxworkv3.lra-hof.de/link.ashx?document=13361247))[^2].


## Kostenpflichtige Gutachten
Die Gebühren für die Erstellung eines Verkehrswertgutachten sind festgelegt in der [Bayerischen Gutachterausschussverordnung][BayGaV] §15. Die Gebühr ist im Regelfall Wertabhängig und beträgt:

{{<mytable class="width50 greyhead grey small smallfont">}}
|Wert bis...|Gebühr ab 01.07.22|
|:--|--:|
|200.000 €|2.450 €|
|300.000 €|2.600 €|
|400.000 €|2.700 €|
|500.000 €|2.800 €|
{{</mytable>}}

50 % Erhöhung bei zusätzlichem Aufwand (z.B Ermittlung boG[^1])   
50 % Ermäßigung bei geringem Aufwand (z.B. Land- u. Forstwirtschaftsflächen)

Für Anträge auf Erstattung von Gutachten, die bis zum Ablauf des 30. Juni 2022 gestellt worden sind, ist die Gebühr der vorhergehenden Fassung anzuwenden.





### Weitere Kosten
* Fahrtkosten 0,36 € pro km auf Ganze Euro gerundet
* Grundbuchauszug 8,- €
* Fotokosten pauschal 5,- €
* Bodenrichtwert 30,- €

[&#8599;intern W-39/2020](http://komxworkv3.lra-hof.de/link.ashx?document=14343613)[^2]

### Gutachten im Rahmen der Förderoffensive Nordostbayern


Bei einem Grunderwerb bis zu einem geschätzten Kaufpreis von 50.000,- € genügt die Plausibilisierung der Angemessenheit des Kaufpreises ([&#8599;intern](http://komxworkv3.lra-hof.de/link.ashx?document=13359181))[^2] und eine Bestätigung/Stellungnahme des GAA. Aus der Stellungnahme des GAA muss hervorgehen, dass entsprechende Vergleichswerte vorliegen und diese auf das zu erwerbende Grundstück angewendet werden können. Die Gebühr wird auf __100,- €__ festgesetzt ([&#8599;intern W-85/2017](http://komxworkv3.lra-hof.de/link.ashx?document=14240307))[^2].
    
Ab einem geschätzten Kaufpreis von 50.000,- € ist in jedem Falle ein Verkehrswertgutachten vom Gutachterausschuss nach den §§ 192 ff. BauGB vorzulegen. In geeigneten Fällen können mit der Wertermittlung auch öffentlich bestellte und vereidigte Sachverständige betraut werden.

Öffentlich bestellte und vereidigte Gutachter sind im bundesweiten Sachverständigenverzeichnis der IHK [svv.ihk.de][] unter der Sachgebietsnummer __1400__ verfügbar. 

## Kosten Bodenrichtwertauskunft und Auskunft aus der Kaufpreissammlung

Eine Auskunft über den Bodenrichtwert _eines_ Grundstücks (bzw. Flurstück) ist _eine_ Amtshandlung und entsprechend kostenpflichtig ([&#8599;intern](http://komxworkv3.lra-hof.de/link.ashx?document=13530663))[^2].
Nach BayKG gem. Art. 1, 2, 5 und 6 des Kostengesetzes i.V.m. Tarif-Nr. 2.1.I/1.8 des Kostenverzeichnisses (KVz) werden folgende Gebühren festgesetzt:

{{<mytable class="width50 greyhead grey small smallfont">}}
|Auskunft BRW, Kaufpreissammlung|Gebühr|
|:--|--:|
|erste Auskunft|30 €|
|jede weitere |20 €|
{{</mytable>}}

### BRW-Auskunft bei Amtshilfe
Das Erteilen einer Bodenrichtwertauskunft erfüllt in der Regel die Voraussetzungen für die Amtshilfe, wenn es sich um eine Institution laut [Art. 4 BayKG][] handelt. Solche Institutionen sind:
* Vermessungsamt
* Grundbuchämter
* Bauamt
* Wasserwirtschaftsamt

Nicht zur Amtshilfe zählen die Gutachtenerstellung (außer im Rahmen des SGB X) oder die Auskunft aus der Kaufpreissammlung ([BayVwVfG Art. 5][] Abs. 3 Punkt 2 u. 3).

## Entschädigung ehrenamtliche Gutachter

Die nach der [BayGaV][] bestehenden ehrenamtlichen Gutachter erhalten eine Entschädigung (§7 BayGaV). 
Die Aufwandsentschädigung ist durch Gesetz und Verordnung geregelt und wird im Kreisausschuss beschlossen. 
Die Höhe der Entschädigung darf den in [Anlage 1][JVEG_Anlage_1] Nr. 7 des [JVEG §9][JVEG] nicht übersteigen. 
   
Das Finanzamt bewertet die aus öffentlichen Kassen gezahlte Aufwandsentschädigung mit einem steuerfreien Mindestbetrag von 250,- Euro monatlich (Lohnsteuerrichtlinie R 3.12).

## Datennutzungsgesetz

Das im Juli 2021 in Kraft getretene Gesetz für die Nutzung von Daten des öffentlichen Sektors [(DNG - Datennutzungsgesetz)][dng] soll sicherstellen, dass öffentliche Daten für die Allgemeinheit grundsätzlich unentgeltlich zur Verfügung stehen. Es dient der Umsetzung der EU-Richtlinie 2019/1024 (Open-
Data- und Public Sector Information-Directive). Auf Antrag können öffentliche Stellen von der Unentgeltlichkeit ausgenommen werden, wenn sie zur Erfüllung ihrer öffentl. Aufgaben Einnahmen erzielen müssen, um kostendeckend zu arbeiten ([&#8599;DNG §10 Abs. 4][dng_10]). 
Eine [Liste der öffentlichen Stellen][bnag_liste], die von der Ausnahme gebrauch machen, wird von der Bundesnetzagentur geführt.


[^1]: boG: besondere objektspezifische Grundstücksmerkmale
[^2]: intern: interner Dokumentenlink - im Internet nicht verfügbar

[svv.ihk.de]: 			https://svv.ihk.de
[BayVwVfG Art. 5]: 		https://www.gesetze-bayern.de/Content/Document/BayVwVfG-5
[Art. 4 BayKG]: 		https://www.gesetze-bayern.de/Content/Document/BayKG-4
[§ 2b Abs. 2 Nr. 1 UStG]: 	https://www.gesetze-im-internet.de/ustg_1980/__2b.html
[§107 BauGB]:			http://www.gesetze-im-internet.de/bbaug/__107.html
[BayGaV]:			https://www.gesetze-bayern.de/Content/Document/BayGutAV/true
[JVEG]: 			http://www.gesetze-im-internet.de/jveg/
[JVEG_Anlage_1]:		http://www.gesetze-im-internet.de/jveg/anlage_1.html
[dng]:				https://www.gesetze-im-internet.de/dng/index.html
[dng_10]:			https://www.gesetze-im-internet.de/dng/__10.html
[bnag_liste]:			https://www.bundesnetzagentur.de/SharedDocs/Downloads/DE/Sachgebiete/Digitales/DNG/Liste.pdf
