+++
tags = ["geo", "qgis", "gis", "plugin", "Fehler", "error"]
zusammenfassung = "Probleme mit QGIS und Lösungsansätze."
title = "Fehlermeldungen"
date = "2023-01-11T13:43:00+01:00"
type = "article"
+++

#### Schriftart Open Sans nicht verfügbar

__Problem:__
: QGIS oder ein Projekt startet mit einer Fehlermeldung das die Schriftart Open Sans nicht gefunden wurde.

__Lösung:__
: Lade dir die Schriftart bei [Google-Fonts][] herunter und kopiere die Dateien (\*.ttf) in das Verzeichnis
: `C:\Users\<name>\AppData\Local\Microsoft\Windows\Fonts\`. 
: Oder installiere sie in {{<menu "Einstellungen/Personalisierung/Schriftarten" "Windows-Start:">}}. 

#### Geodienst - Karte/Objekte laden

__Problem:__
: Bei der Bereitstellung eines Geodienstes (WFS) mit Zugangsaccount im {{<menu "Layer/Datenquellenverwaltung/WFS OGC API-Funktionen ">}} wird die Karte und dessen Objekte nicht vollständig geladen und dargestellt.

__Lösung:__
: Setze ein Haken in `[Nur Objekte laden, die sich mit dem Kartenausschnitt überscheiden]`.
: Gegebenenfalls muss der Layer gelöscht und neu hinzugefügt werden.

#### Objekterzeugungsfehler

__Problem:__   
: Beim speichern eines neuen Vectorlayer, das erzeugt wurde im {{<menu "Vector/Datenmanagement-Werkzeuge/Vectorlayer zusammenführen...">}}, tritt folgender Fehler auf:
>{{<code lang="bash">}}
 Export in Vektordatei schlug fehl.
 Fehler: Objektschreibfehler:
 Objekterzeugungsfehler (OGR-Fehler: failed to execute insert : UNIQUE constraint failed: Richtwertzonen-02.fid)
{{</code>}}

__Lösung:__   
: Entferne den Haken der Spalte `[Fid]` (Feature-ID). QGIS generiert neue Feature-ID's mit eindeutigen Werten.

#### Geodienst - Karte/Objekte laden

__Problem:__
: Bei der Bereitstellung eines Geodienstes (WFS) mit Zugangsaccount im {{<menu "Layer/Datenquellenverwaltung/WFS OGC API-Funktionen ">}} wird die Karte und dessen Objekte nicht vollständig geladen und dargestellt.

__Lösung:__
: Setze ein Haken in `[Nur Objekte laden, die sich mit dem Kartenausschnitt überscheiden]`.
: Gegebenenfalls muss der Layer gelöscht und neu hinzugefügt werden.

[Google-Fonts]:		https://fonts.google.com/
