+++
tags = ["geo", "vermessungsprogramme", "Helmert", "Koordinaten", "Transformation"]
zusammenfassung = "Programm zur Ermittlung der Parameter einer Ähnlichkeitstransformation."
title = "Helmert"
submenu = "false"
date = "2021-04-12T11:20:36+02:00"
type = "article"
+++

## Die zweidimensionale Helmerttransformation in der Ebene

Die Helmerttransformation nach [F.R.Helmert][] ist die am meisten verwendete Transformationsfunktion. Unter anderem wird sie auch konforme oder Ähnlichkeitstransformation genannt. In dieser Transformation gibt es insgesamt vier unbekannte Parameter zu lösen. Die Parameter sind:
* Translation (geradlinige Bewegung, Verschiebung auf der x-Achse und y-Achse)
* Skalierung (Maßstab)
* Drehung

>__Hinweis zum Koordinatensystem in der Vermessung:__   
Die Ordinatenachse eines rechtwinkligen Koordinatensystems ist die vertikal liegende Achse. Rechtwinklig dazu liegt horizontal die Abszissenachse. In der Vermessung entspricht die x-Achse dem Hochwert (Ordinatenachse) und die y-Achse dem Rechtswert (Abszissenachse). Im Gegensatz dazu entspricht in der Schulmathematik die x-Achse der Abszissenachse (liegt horizontal) und die y-Achse der Ordinatenachse (ergo vertikal).

## Parameter vs. Passpunkte

Um vier unbekannte Parameter in einem mathematischen Gleichungssystem zu ermitteln, sind bei der Helmerttransformation zwei Passpunkte (mit x,y Koordinaten) im Ausgangs- und Zielsystem notwendig.

## Ausgleichungssystem

Liegen mehr als zwei Passpunkte im Ausgangs- und Zielsystem vor, dann kann das System ausgeglichen werden. Eine Ausgleichung gibt Auskunft über die Qualität der Punkte, über deren Genauigkeit und die Genauigkeit der noch unbekannten Parameter. Damit werden fehlerhafte Punkte im Zielsystem aufgedeckt und können eliminiert werden.

## Programmbeschreibung

Das Programm berechnet vier Parameter einer Helmerttransformation in der Ebene. Im Weiteren können alle Punkte in einem Ausgangskoordinatensystem in ein Zielkoordinatensystem transformiert werden.

### Passpunktdatei

Aus zwei ASCII-Dateien werden die Passpunkte des Ausgang- und Zielsystems eingelesen.

{{<tabs>}}
{{<tab "Beispielformat 2">}}
Beispiel einer einfachen Passpunktdatei mit drei Passpunkten. Es werden nur die Koordinaten Rechtswert und Hochwert benötigt.
```go {linenos=false}
20979.501 97501.701
21058.612 97375.045
21004.420 97394.464
```
{{</tab>}}
{{<tab "Beispielformat 1">}}
Beispiel einer Passpunktdatei mit Punktbezeichnung, Rechtswert, Hochwert, Höhe und einer beliebigen Nummer.
```go {linenos=false}
PP1       20979.501 97501.701       0.000          0
PP2       21058.612 97375.045     130.743          0
PP3       21004.420 97394.464     129.957        402
```
{{</tab>}}
{{</tabs>}}

## Download Helmerttransformation

[Helmert-2021.zip](/download/Helmert-2021.zip) ( [sha256](/download/Helmert-2021.sha256))

[F.R.Helmert]: https://de.wikipedia.org/wiki/Friedrich_Robert_Helmert
