+++
tags = ["geo", "vermessungsprogramme", "kartesisch", "Koordinaten", "Transformation"]
zusammenfassung = "Konvertierung kartesischer Koordinaten in ellipsoidische Koordinaten"
title = "Kartesische Koordinaten"
date = "2021-11-24T13:56:59+01:00"
type = "article"
+++

## Koordinatensysteme

In der Geodäsie werden Koordinaten zur Lokalisierung eines Punktes verwenden. Es gibt eine Vielzahl von Koordinatensystem die im Laufe der Jahrhunderte entstanden sind.
Koordinaten werden im allgemeinen als kartesische Koordinaten oder als geographische Koordinaten angegeben. 
Zur Umwandlung (Transformation) von einem Koordinatensystem in ein anderes werden Parameter verwendet, die in sog. [EPSG-Codes][epsg] hinterlegt sind.
 

## Das kartesische Koordinatensystem

In einem kartesischen Koordinatensystem stehen die Koordinatenachsen rechtwinklig (orthogonal) zueinander. 
Für die Transformation von ellipsoidischen Koordinaten in kartesische wird ein Referenzellipsoid mit den Parametern: große und kleine Halbachse benötigt. 

{{<columns class="center">}}
![Bild: kartesische Koordinatensystem](/svg/Coord_system_CA_0.svg "kart. Koordinaten  [[Quelle: Wikimedia=https://commons.wikimedia.org/wiki/File:Coord_system_CA_0.svg]] #width=75% ")
<---> 
![altern. Text](/svg/Sphere_Latitude_Longitude.svg "ellips. Koordinaten [[Quelle: Wikimedia=https://commons.wikimedia.org/wiki/File:Latitude_and_longitude_graticule_on_an_ellipsoid.svg]] #width=80%")
{{</columns>}}

{{<form_ellipsoid>}}


{{<form_degrees>}}


__Übrigens__ dreht sich die Erde in 24 Stunden um 360°. Entsprechend bewegt sie sich in 4 Minuten um 1° = (24 h * 60 Minuten)/360°.


## Weblinks
   
[Koordinatenreferenzsystem](https://de.wikipedia.org/wiki/Koordinatenreferenzsystem)   
[Geodätisches Datum](https://de.wikipedia.org/wiki/Geodätisches_Datum)

__Onlinetools:__

[Umrechnung Winkelmaße](https://www.rapidtables.com/convert/number/degrees-to-degrees-minutes-seconds.html) - Bogenmaß in Dezimal, usw.   
[Convert (Latitude, Longitude, Height) to (X, Y, Z)](https://www.apsalin.com/geodetic-to-cartesian-on-ellipsoid/)   
[Convert (X, Y, Z) to (Latitude, Longitude, Height)](https://www.apsalin.com/cartesian-to-geodetic-on-ellipsoid/)   
[geodesy.noaa.gov](https://geodesy.noaa.gov/TOOLS/XYZ/xyz.html) - interaktive Onlinetools und Downloads   
[walter.bislins.ch](http://walter.bislins.ch/bloge/index.asp?page=Rainy+Lake+Experiment%3A+WGS84+Calculator)   
[SAPOS-Referenzstationskarte](https://sapos.bayern.de/refmap.php) - Zahlenbeispiel des Satellitenpositionierungsdienstes   
[oc.nps.edu](https://www.oc.nps.edu/oc2902w/coord/llhxyz.htm) - keine Nachkommastellen   


[epsg]:			https://de.wikipedia.org/wiki/European_Petroleum_Survey_Group_Geodesy
