#!/bin/bash

# Script liesst Version aus git
# Speichert Version in config.www*
# Pack Arbeitsverzeichnis work

declare VERSION=$(git status | grep -i "branch 202" | cut -d " "  -f 3)
echo -e "\nVersionsnummer: $VERSION"

echo -e "\nSezte Version in config.toml"
sed '/version = / s/[0-9]*-[0-9]*/'$VERSION'/' -i config.toml
unix2dos config.toml

echo -e "\nSetze Version in config.www.toml"
sed '/version = / s/[0-9]*-[0-9]*/'$VERSION'/' -i config.www.toml
unix2dos config.www.toml

echo -e "\nErzeuge ./content/version.txt"
echo $VERSION > content/version.txt
unix2dos content/version.txt

echo -e "\nLoesche altes Projektarchive ./static/download/work.*"
rm ./static/download/work.*

echo "Packe Projektverzeichnis"
git archive --format zip    --output static/download/work.zip    $VERSION
git archive --format tar.gz --output static/download/work.tar.gz $VERSION
#tar -cf    ../work.tar --exclude=".git" --exclude="public" --exclude="resources" ../work
#gzip -7    ../work.tar
sha256sum  static/download/work.zip    > static/download/work.zip.sha256
sha256sum  static/download/work.tar.gz > static/download/work.tar.gz.sha256

# Path löschen in *.sha256
sed 's/static\/download\///' -i static/download/work.zip.sha256
sed 's/static\/download\///' -i static/download/work.tar.gz.sha256

echo "fertig"
